========== Version 2.26.1 released 2009-04-13 ==========

2009-04-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2009-04-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Don't import gtk when checking for gnomeapplet
	because it causes problems on Fedora

2009-04-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac
	* deskbar/defs.py.in
	* deskbar/Makefile.am:
	Removed unused variable PYTHONDIR

2009-04-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/evolution/Makefile.am
	* deskbar/handlers/gdmclient/Makefile.am
	* deskbar/osutils/Makefile.am
	* deskbar/core/_userdirs/Makefile.am
	* deskbar/core/keybinder/Makefile.am
	* deskbar/ui/iconentry/Makefile.am:
	Fixed bug #578803: deskbar-applet incorrectly installs
	to pythondir rather than pyexecdir

2009-04-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/actions/OpenDesktopFileAction.py:
    Fixed bug #504930: Showing application icon for app launchers
    (patch by Omair Majid)

2009-04-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Web.py:
    * deskbar/handlers/twitter.py:
    Fixed bug #577649: deskbar-applet crashes
    because of GnomeURLopener in deskbar.core.Web
    on x86_64

2009-04-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/twitter.py:
    Fixed bug #577487: identi.ca plugin incorrectly
    shows amount of remaining symbols

2009-03-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/CoreImpl.py:
    Fixed bug #552843: if the search has no result,
    the result list is not blanked
    (patch by Omair Majid)

2009-03-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacAlignedView.py
    * deskbar/ui/CuemiacAlignedWindow.py:
    Close window when it loses focus
    (patch by Omair Majid)

2009-03-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.26.1

========== Version 2.26.0 released 2009-03-17 ==========

2009-03-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2009-03-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
    Post release version bump to 2.26.0

========== Version 2.25.91 released 2009-03-02 ==========

2009-03-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2009-02-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    Fixed bug #572291: Bookmark search doesn't match on Epiphany topics

2009-02-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.25.92

========== Version 2.25.91 released 2009-02-16 ==========

2009-02-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2009-02-10  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacAlignedView.py:
    Set correct sort order of CuemiacTreeView at startup

2009-02-10  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacTreeView.py:
    Select last item when Enter is pressed in entry
    when the applet is on the bottom panel
    
2009-02-10  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacTreeView.py:
    Fixed bug that first and last category where not
    selectable with keyboard

2009-02-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Utils.py:
    Added uri_has_default_handler function
    
    * deskbar/handlers/actions/ShowUrlAction.py:
    Check if there's an default application to open the url
    in is_valid

2009-02-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/files.py:
    Fixed bug that only local GTK bookmarks showed up.
    Searching for bookmark name is case insensitive now.

2009-02-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.25.91

========== Version 2.25.90 released 2009-02-02 ==========

2009-02-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2009-02-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Actually, we are at version 2.25.90

2009-02-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * po/POTFILES.in
    * po/POTFILES.skip:
    Fixed bug #570059: Strings from .ui files
    missing from translation template
    (patch by Gabor Kelemen)

2009-01-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/opensearch.py
    * deskbar/handlers/Makefile.am
    * po/POTFILES.in:
    Fixed bug #528184: Write OpenSearch module
    (based on work by Arthur Perton)

2009-01-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacTreeView.py:
    Fixed bug #557801: Results category nodes are not keyboard focusable

2009-01-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/programs.py:
    Fixed bug #569093: use indexer for path searches
    (patch by Juri Pakaste)

2009-01-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/twitter.py:
    Removed unused imports

2009-01-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/desklicious.py
    * deskbar/handlers/googlecodesearch.py
    * deskbar/handlers/googlesearch.py
    * deskbar/handlers/wikipedia-suggest.py
    * deskbar/handlers/yahoo.py:
    Fixed bug #569260: Catch EOFError
    (based on patch by Tom Parker)

2009-01-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/googlecodesearch.py:
    Fixed bug that same GoogleCodeSearchMatch has been added
    multiple times.
    Assign priorities to matches.
    Fixed bug when snippet wasn't present where it should be.
    Added GoogleCodeSearchForMatch that opens the results
    in the browser.

2009-01-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/googlesearch.py    
    * deskbar/handlers/yahoo.py:
    Fixed bug #419211: Web search in new a browser window
    
    Add match to view the search results in the browser.
    Assign priority to Google matches.

2009-01-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/DeskbarApplet.py:
    Fixed bug #542861: Deskbar applet has a pixel border
    when placed at the edge of the screen

2009-01-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.25.6

========== Version 2.25.5 released 2009-01-19 ==========

2009-01-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacWindowController.py:
    Reverted revision 2521
    
    * deskbar/ui/Utils.py:
    Fixed launch_default_for_uri_and_scheme function
    to work with ghelp and mailto addresses

2009-01-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/About.py:
    Updated my e-mail address

2009-01-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacWindowController.py:
    Use gtk.show_uri to open help

2009-01-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/keybinder/eggaccelerators.c:
    Fixed bug #567422: Add missing include to eggaccelerators.c
    (patch by Magnus Boman)
    
2009-01-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.25.5

========== Version 2.25.4 released 2009-01-05 ==========

2009-01-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2009-01-03  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacWindowController.py:
    Fixed bug #558858: Deskbar stops working when closing by 'x'

2008-12-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Fixed bug #564726: configure doesn't detect pygtk
    in alternative directories (patch by Frederic Peters)

2008-12-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
    Post release version bump to 2.25.4

========== Version 2.25.3 released 2008-12-15 ==========

2008-12-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2008-12-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/iswitch-window.py:
    Show windows that are part of viewport that is
    currently not visible (patch by Daniel Wutke)

2008-12-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.25.3

========== Version 2.25.2 released 2008-12-02 ==========

2008-12-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2008-12-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* AUTHORS
	* MAINTAINERS:
	Changed my e-mail adress

2008-12-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/googlesearch.py:
    Fixed bug #561181: Support both simplejson and json module
    Patch by Steven Harms

2008-11-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/About.py:
    Updated URL of Deskbar homepage

2008-11-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * doc/new-style_modules.txt:
    Updated last edited date

2008-11-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/preferences/DeskbarPreferences.py:
    Made text in info area selectable

2008-11-14  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/gdmactions.py:
    Fixed bug #560190: Added RebootAction and RebootMatch

2008-11-04  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/keybinder/eggaccelerators.h
    * deskbar/core/keybinder/tomboykeybinder.c
    * deskbar/core/keybinder/eggaccelerators.c
    * deskbar/core/keybinder/tomboykeybinder.h
    * deskbar/ui/iconentry/ephy-icon-entry.h
    * deskbar/ui/iconentry/ephy-icon-entry.c:
    Cleanup GTK+ includes

2008-11-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacTreeView.py:
    Work around bug #552204 and ignore rows where match is None 

2008-11-04  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/gdmactions.py:
    Fixed bug #559169: gnome power manager has new dbus path
    (patch by Christian Assing) 

2008-11-04  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.25.2

========== Version 2.25.1 released 2008-11-03 ==========

2008-11-03  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2008-11-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/deskbar-applet.schemas.in:
    Fixed bug #552203: Typo "affect" should be "effect"
    
2008-11-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/googlesearch.py:
    Fixed bug #551218: Use of strings "Croation" and "Croatian"
    
2008-11-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac
    * data/mozilla-search.ui
    * data/prefs-dialog.ui
    * data/smart-bookmarks.ui
    * data/Makefile.am
    * deskbar/handlers/gdmactions.py
    * deskbar/handlers/programs.py
    * deskbar/handlers/templates.py
    * deskbar/handlers/files.py
    * deskbar/handlers/mozilla.py
    * deskbar/handlers/actions/ActionsFactory.py
    * deskbar/handlers/actions/OpenFileAction.py
    * deskbar/handlers/actions/OpenWithNautilusAction.py
    * deskbar/handlers/beagle-live.py
    * deskbar/handlers/yahoo.py
    * deskbar/core/Watcher.py
    * deskbar/core/BrowserMatch.py
    * deskbar/core/Utils.py
    * deskbar/core/ModuleInstaller.py
    * deskbar/core/CoreImpl.py
    * deskbar/core/ModuleLoader.py
    * deskbar/ui/preferences/ModuleListView.py
    * deskbar/ui/preferences/DeskbarPreferences.py
    * deskbar/ui/About.py
    * deskbar/ui/cuemiac/LingeringSelectionWindow.py
    * deskbar/ui/cuemiac/CuemiacHeader.py
    * deskbar/ui/cuemiac/CuemiacTreeView.py
    * deskbar/ui/cuemiac/CuemiacActionsTreeView.py
    * deskbar/ui/DeskbarApplet.py
    * deskbar/ui/CuemiacWindowController.py
    * deskbar/ui/AbstractCuemiacView.py
    * deskbar/ui/CuemiacAlignedView.py
    * po/POTFILES.in:
    Ported from gnomevfs to gio and from glade to GTK builder.
    This requires pygobject 2.15.3 or later.
    Changes have been merged from bzr branch at
    https://code.launchpad.net/~marduk-k-d-w/deskbar-applet/gio-port

2008-10-31  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Version bump to 2.25.1
    
2008-10-27  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/GconfStore.py:
    Forgot to change signature of signal, too

2008-10-27  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/GconfStore.py:
    Fixed bug #557570: Crash when proxy port changed

2008-10-27  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Version bump to 2.24.2

========== Version 2.24.1 released 2008-10-20 ==========

2008-10-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    * NEWS:
    Version bump to 2.24.1.
    Added release notes.

========== Version 2.24.0 released 2008-09-22 ==========

2008-09-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2008-09-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Use bugzilla as bug report address

2008-09-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/wikipedia-suggest.py:
    Fixed: Wikipedia suggest doesn't respect proxy settings

2008-09-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/_userdirs/__init__.py
    * deskbar/core/_userdirs/__userdirsmodule.c
    * deskbar/handlers/templates.py:
    Better fix for bug #551166. Throw exception when
    something went wrong and use constants defined in C

2008-09-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/templates.py:
    Fixed bug #551166: Cannot enable Templates module.
    Stop monitoring directory when module is stopped.

2008-09-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Post release version bump to 2.24.0

========== Version 2.23.92 released 2008-09-08 ==========

2008-09-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2008-09-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * doc/images/uml_new-style.dia
    * doc/images/uml_new-style.png
    * doc/docbook-xsl.css
    * doc/new-style_modules.txt:
    Added documentation about (get|set)_snippet and
    get_tooltip methods. Removed location where
    the modules are located, because the directory
    changed in 2.24.

2008-09-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/deskbar-applet.schemas.in:
    Changed default UI "Button".
    Added RecentHandler, CalculatorModule, GdmHandler
    and TemplateHandler to default list of enabled modules.
    Removed MozillaBookmarksHandler and MozillaSearchHandler
    from default list of enabled modules.

2008-09-03  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/twitter.py
    Use OpenID instead of OpenId
    
2008-09-02  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * deskbar/core/Web.py
    Add support for embedding an extra widget into AccountDialog
    
    * deskbar/core/Utils.py
    Set the gtk.LinkButton handler to invoke deskbar.Utils.url_show,
    without this link buttons wont work
    
    * deskbar/handlers/twitter.py
    Make the identi.ca module inject a message into the account dialog
    using the new API of said dialog mentioned above.
    
    Fixes bug #550297: Identi.ca module does not support OpenId causes confussion
    Commit signed of by the Gnome release team since we are in UI freeze

2008-09-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.23.92

========== Version 2.23.91 released 2008-09-01 ==========

2008-09-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2008-09-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Fixed bug #542997: Make it clear
    that Firefox 2 is required and not 3.
    
2008-08-28  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * deskbar/handlers/twitter.py
    Set the 'source' paramter on updates to 'deskbar'. This should put
    a small 'from deskbar' links after Twitter posts.

2008-08-28  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/DeskbarHistory.py:
    Added remove_index_and_save method
    
    * deskbar/ui/DeskbarStatusIcon.py:
    Create menu new each time the popup is requested.
    Pressing the delete key will remove the selected item
    from history

2008-08-26  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/evolution/evolution.c:
    Fixed bug #549432: Fix g_strjoin() call in evolution module
    patch by Vincent Untz

2008-08-26  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/AbstractCuemiacDeskbarIcon.py:
    * deskbar/ui/DeskbarApplet.py:
    Save correct active state in AbstractCuemiacDeskbarIcon based on changes
    to view's visible property 
    
    * deskbar/ui/CuemiacWindowController.py
    Fixed bug #549375: history dropdown doesn't dismiss after selection

2008-08-25  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * deskbar/core/Web.py
    Fix a bug in the way the new core.Web module handled updating of account
    info. Before this fix we leaked accounts each time editing of credentials
    took place, and we failed to look up the right one if there where multiple.
    
    Now we purge the keyring for any credentials for the given protocol
    and domain before we add new ones.

2008-08-24  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * deskbar/handlers/twitter.py
    * deskbar/ui/DeskbarStatusIcon.py
    Fix bug #549206 : Please add comments along with strings for localisation

2008-08-24  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/googlesearch.py:
    Fixed bug #549203: Use same string for Chinese simplified/traditional
    as in yahoo module

2008-08-24  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * deskbar/handlers/twitter.py
    Fix bug #548422: Invalid tooltip formatting in twitter module

2008-08-23  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/CoreImpl.py:
    Fixed bug #548867: Crash when changing default browser

2008-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.23.91

========== Version 2.23.90 released 2008-08-18 ==========

2008-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2008-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Check for gnomekeyring python module
    
2008-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/preferences/DeskbarPreferences.py:
    Updated URL of capuchin repository

2008-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/DeskbarHistory.py:
    Minor code cleanup
    
2008-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/DeskbarHistory.py:
    Renamed old remove method to remove_index.
    Added remove_and_save method.
    Overridden gtk.ListStore.remove that history is
    marked as empty when last item has been removed.
    
    * deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
    Added adjust_popup_size method
    
    * deskbar/ui/cuemiac/CuemiacHistory.py:
    Remove selected item when Delete button is pressed

2008-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacHistory.py:
    The popup window grabs keyboard and pointer not
    the treeview now. Select first item on popup.
    Close popup when Escape is pressed.

2008-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/DeskbarHistory.py:
    Refactored DeskbarHistory

2008-08-14  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * deskbar/handlers/twitter.py
    Some refactoring needed to properly use the GnomeURLopener in cases
    where the proxy changes
    
    * deskbar/core/Web.py
    Add automatic support for using the Gnome proxy in GnomeURLopener.
    Twiddle with the way modality of the account dialog is done
    
    * doc/README
    Add notes on asciidoc

2008-08-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/CoreImpl.py:
    Removed obsolete get_old_modules method

2008-08-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/preferences/DeskbarPreferences.py:
    Display correct text when repository file is downloaded.
    Close progress dialog when repository file has been downloaded.
    When retrieving new modules also take modules from DisabledModuleList
    into account.

2008-08-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/ModuleList.py:
    Added iterator for DisabledModuleList

2008-08-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/programs.py:
    Check for directories in $PATH if they are actual directories
    and if they exist, are readable and executable.
    Fixes bug #538558

2008-08-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Web.py:
    AccountDialog expects parent window as first argument.
    Make dialog modal and destroy with parent.
    Set row spacings to 3 and col spacings to 6.
    
    * deskbar/handlers/twitter.py:
    Adjusted to changes in Web.py

2008-08-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * doc/images/uml_new-style.dia
    * doc/images/uml_new-style.png
    * doc/new-style_modules.txt:
    Added Dia source file and PNG of UML diagram

2008-08-07  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>
    * doc
    * doc/images
    * doc/images/news.png
    * doc/images/conversations.png
    * doc/images/web.png
    * doc/images/actions.png
    * doc/images/documents.png
    * doc/images/history.png
    * doc/images/files.png
    * doc/images/websearch.png
    * doc/images/default.png
    * doc/images/people.png
    * doc/images/places.png
    * doc/images/notes.png
    * doc/images/icons
    * doc/images/icons/prev.png
    * doc/images/icons/tip.png
    * doc/images/icons/important.png
    * doc/images/icons/next.png
    * doc/images/icons/caution.png
    * doc/images/icons/callouts
    * doc/images/icons/callouts/1.png
    * doc/images/icons/callouts/2.png
    * doc/images/icons/callouts/3.png
    * doc/images/icons/callouts/4.png
    * doc/images/icons/callouts/5.png
    * doc/images/icons/callouts/6.png
    * doc/images/icons/callouts/7.png
    * doc/images/icons/callouts/8.png
    * doc/images/icons/callouts/9.png
    * doc/images/icons/callouts/10.png
    * doc/images/icons/callouts/11.png
    * doc/images/icons/callouts/12.png
    * doc/images/icons/callouts/13.png
    * doc/images/icons/callouts/14.png
    * doc/images/icons/callouts/15.png
    * doc/images/icons/up.png
    * doc/images/icons/note.png
    * doc/images/icons/warning.png
    * doc/images/icons/home.png
    * doc/images/icons/README
    * doc/images/icons/example.png
    * doc/images/emails.png
    * doc/new-style_modules.txt
    
    Include developer documentation. It is not distributed with the release
    tarballs yet. This commit simply adds the files to svn.
    
    * doc/README
    Notification about asciidoc

2008-08-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Utils.py
    * deskbar/handlers/calculator.py:
    Stay compatible with Python 2.4 syntax

2008-08-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacAlignedView.py:
    Set entry width to 10 when the value is smaller than 10

2008-08-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release version bump to 2.23.90

2008-08-06  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * deskbar/handlers/twitter.py
    Fix code type where we don't correctly pass self._realm to the Account.

2008-08-05  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * deskbar/handlers/twitter.py
    Add identi.ca handler using the Twitter API. Since identi.ca throws
    and error on bad credentials we can not re-ask for them like the Twitter
    handler does. We simply have to report the error to the user.
    
    * deskbar/core/Web.py
    Fix issues where cancelling the very first credential request would
    cause a crash.
    Add support getting the return status after emission of the 'done'
    signal of the GnomeURLopener.

2008-08-05  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * po/POTFILES.in
    Ooops. Forgot to add deskbar/core/Web.py for translation. I am really
    starting to embarras myself here...

2008-08-05  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * po/POTFILES.in
    Ooops. Forgot to add twitter.py for translation

2008-08-05  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

    * deskbar/core/Utils.py
    Add method load_base64_icon. Handy for inlining icons inside modules
    for easier distribution
    
	* deskbar/handlers/twitter.py
    * deskbar/handlers/Makefile.am
    * deskbar/core/Web.py
    * deskbar/core/Makefile.am
    Introduce a Twitter micro blogging module
    
    Introduce a new utility package deskbar.core.Web with tools for dealing
    with online services. Mostly the authentication parts. Highlights include:
    
     - Abstraction of online account storing credentials in gnome keyring
     - A dialog for managing an account
     - An asynchronous url opener that hooks into the account framework
       mentioned above to ask for credentials

========== Version 2.23.6 released 2008-08-05 ==========

2008-08-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2008-08-03  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/desklicious.py:
    Adjusted url to RSS feeds. Check if content is
    formatted properly before parsing it.
    Fixes bug #544645

2008-08-03  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/deskbar-applet.schemas.in
    * data/prefs-dialog.glade
    * deskbar/core/CoreImpl.py
    * deskbar/core/GconfStore.py
    * deskbar/ui/preferences/DeskbarPreferences.py
    * deskbar/ui/CuemiacAlignedView.py
    * deskbar/ui/CuemiacWindowView.py:
    Added option to change entry width when Button UI is used

2008-08-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Check for required python modules

2008-08-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/gnomedesktop/
    * deksbar/core/Makefile.am
    * deskbar/core/Utils.py
    * deskbar/handlers/actions/OpenDesktopFileAction.py
    * deskbar/handlers/programs.py
    * configure.ac:
    Removed built-in gnomedesktop module an use gnome-python-desktop's
    instead

2008-08-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/desklicious.py:
    Fixed bug #545791: local variable 'dom' referenced
    before assignment

2008-08-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/googlesearch.py:
    * deskbar/handlers/Makefile.am:
    * po/POTFILES.in:
    Added Google search module. Written by
    Helton Doria <helton dot doria at gmail dot com>
    Requires simplejson Python module. Fixes bug #535360

2008-07-29  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/CoreImpl.py:
    * deskbar/core/GconfStore.py:
    Added sanity checks when setting values and
    emitting signals (fixes bug #486549)
    (patch partly by Goran Rakic <grakic at devbase dot net>)

2008-07-29  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Utils.py:
    Added get_locale_lang function
    Fixed bug #544587: unknown locale
    
    * deskbar/handlers/wikipedia-suggest.py:
    * deskbar/handlers/yahoo.py:
    Use Utils.get_locale_lang to guess language.

2008-07-23  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/tomboy.py:
	When retrieving tomboy version wait until
	the process exited to avoid zombie process.

2008-07-23  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Post release version bump to 2.23.6

========== Version 2.23.5 released 2008-07-21 ==========

2008-07-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2008-07-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacHistory.py:
    Display 50 instead of 25 chars
    
2008-07-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/files.py:
    Catch OSError when calling os.listdir.
    (Fixes bug #494922)

2008-07-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacItems.py:
    Fixed typo that caused that all categories
    to appear as uncategorized

2008-07-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/DeskbarHistory.py:
    Added action-added signal.
    
    * deskbar/ui/DeskbarStatusIcon.py:
    Added history submenu.

2008-07-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/DeskbarHistory.py:
    * deskbar/ui/cuemiac/CuemiacHistory.py:
    * deskbar/ui/AbstractCuemiacCuemiacView.py:
    * deskbar/ui/CuemiacAlignedView.py:
    * deskbar/ui/CuemiacWindowView.py:
    * deskbar/ui/DeskbarApplet.py:
    Access history like in 2.18.
    Added arrow beside the Deskbar icon. Clicking on it
    will show the a list of previously activated actions.
    History is still missing in tray mode.
    
2008-07-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/gdmactions.py:
    Fixed bug #516142. Should use plural for strings

2008-07-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/files.py:
    Check if display name is not None (fixes bug #500087) 

2008-07-14  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    * deskbar/ui/cuemiac/CuemiacItems.py:
    Fixed bug #542638: Don't put dict keys
    in gettext call parameter
    (patch by Claude Paroz <claude at 2xlibre dot net>)

2008-07-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/BrowserMatch.py:
    * deskbar/__init__.py:
    Place user's modules in
    $XDG_DATA_HOME/deskbar-applet/modules-2.20-compatible
    and history file together with modules' configuration
    data into $XDG_CONFIG_HOME/deskbar-applet
    
    When on of the directories doesn't exist and the old
    location ~/.gnome2/deskbar-applet still does the files
    are copied to the new locations.
    Fixes bug #522813

2008-07-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/deskbar-applet.py:
    Set default log level to WARNING.
    Added -d/--debug options to display debug messages

2008-07-10  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/preferences/DeskbarPreferences.py:
    Removed unused method on_use_newstyleui_toggled
    
    * deskbar/core/GConfStore.py:
    Removed unused use-newstyleui-changed signal and
    get_use_newstyleui method

2008-07-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/prefs-dialog.glade:	
	* deskbar/ui/preferences/DeskbarPreferences.py:
	Set top/up/down/bottom buttons insensitive by default
	(patch by Goran Rakic <grakic at devbase dot net>)
	Added check if iter != None when one of the above
	buttons is pressed (fixes bug #490981) 

2008-07-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowView.py:
	Fixed bug #535236: the dialog location change every
	time it's displayed

2008-06-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Version bump to 2.23.5

2008-06-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/About.py:
	Changed URL of website to
	http://www.gnome.org/projects/deskbar-applet/

2008-06-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/test_calculator.py:
	Only run unittests when the program isn't loaded
	as module
	
2008-06-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/actions/SendEmailToAction.py:
	Put name in quotes

2008-06-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/actions/SendEmailToAction.py:
	Fixed bug #378755: Use contact's name, not their
	email address, when writing new mails
	(patch by Oleg Andreev <OlegOAndreev at yandex ru>)

2008-06-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Post release version bump to 2.23.2

2008-06-19  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* deskbar/ui/preferences/DeskbarPreferences.py:
	Fix minor typo in string
	
========== Version 2.23.4 released 2008-06-16 ==========

2008-06-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* po/POTFILES.in:
	Added calculator.py

2008-06-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2008-06-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/calculator.py:
	* deskbar/handlers/test_calculator.py:
	Added calculator module with permission
	from the original authors
	Callum McKenzie <callum at spooky-possum org>,
	Michael Hofmann <mh21 at piware de> and
	Johannes Buchner <buchner.johannes gmx at>

2008-06-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/Utils.py:
	Don't import deskbar.core.Categories to solve
	cyclic dependency

2008-06-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/wikipedia-suggest.py:
	Only add match when the result contains the expected
	number of columns

2008-06-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/desklicious.py:
	Fixed bug #538425: local variable 'stream'
	referenced before assignment

2008-06-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Made OpenBeagleFileAction backwards compatible

2008-06-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/DeskbarHistory.py:
	Fixed bug #537694: Search history broken
	
2008-06-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/tomboy.py:
	Set TomboyNotesModule.tomboy to None when
	module is stopped

2008-06-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/DeskbarApplet.py:
	Fixed bug #536752: Applet not transparent

2008-06-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Post release bump version to 2.23.4

========== Version 2.23.3 released 2008-06-02 ==========

2008-06-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Added release notes

2008-05-28  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* po/POTFILES.in:
	Added wikipedia-suggest.py to POTFILES

2008-05-28  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/art/wikipedia.png
    * data/art/Makefile.am
    * deskbar/handlers/Makefile.am
    * deskbar/handlers/wikipedia-suggest.py:
    Added Wikipedia Suggest module. It will
    suggest Wikipedia articles while you type.
    Which Wikipedia you want to use (regarding the
    language) is configurable (fixes bug #530002).
    
2008-05-28  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/actions/ShowUrlAction.py:
    Escape url for tooltip

2008-05-23  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/tomboy.py:
    Use subprocess module instead of os.popen.
    Catch OSError when retrieving version
    (fixes bug #533842)

2008-05-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Post release bump version to 2.23.3

========== Version 2.23.2 released 2008-05-12 ==========

2008-05-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Updated NEWS for upcoming release

2008-05-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Added OpenThunderbirdMailMessageAction.
	Mail messages are now opened in either evolution
	or thunderbird (fixes #420475).
	Display e-mail address as author when no
	name is available 

2008-05-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Bump version to 2.23.2

2008-05-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/actions/OpenFileAction.py:
	* deskbar/handlers/actions/OpenWithNautilusAction.py:
	* deskbar/handlers/actions/ShowUrlAction.py:
	* deskbar/handlers/beagle-live.py:
	Implement Action's get_tooltip method

2008-05-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacEntry.py:
	* deskbar/ui/preferences/DeskbarPreferences.py:
	* deskbar/ui/DeskbarApplet.py:
	Move to new gtk.Tooltip API

2008-05-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/CoreImpl.py:
	* deskbar/handlers/mozilla.py:
	Added support for iceweasel browser.
	When the default browser is changed
	mozilla and iceweasel are supported, too.
	When Firefox is usded and the command must
	contain firefox	instead of being exactly
	firefox 

2008-05-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/CoreImpl.py:
	Fixed bug #522585: Crash when changing default browser

2008-05-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/Action.py:
	* deskbar/ui/cuemiac/CuemiacActionsTreeView.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Added get_tooltip method to Action interface.
	Override this method to display a tooltip
	when the user hovers over the match (the
	default action's tooltip is displayed) or
	over an action in the list of additional
	actions.

2008-05-01  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* po/POTFILES.in:
	Show tooltip when hovering over the arrow if
	more than one action is available.
	This requires PyGTK version 2.12 or later.

2008-04-29  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/DeskbarHistory.py:
	Did some minor cleanup

2008-04-24  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Set snippet correctly for feeds, web history
	and E-Mails. Changed displayed text slightly
	for those actions.

2008-04-24  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/AbstractCuemiacView.py:
	* deskbar/ui/CuemiacAlignedView.py:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	* deskbar/ui/Makefile.am:
	* po/POTFILES.in:
	Moved duplicate code from both UIs to new
	AbstractCuemiacView class

2008-04-24  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/View.py:
	Removed not used methods

========== Version 2.23.1 released 2008-04-21 ==========

2008-04-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/Makefile.am:
    Added googlecodesearch.py

2008-04-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2008-04-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Retrieve snippets async again. Hopefully with
	correct reference keeping and cleanup.
	
2008-04-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fixed: Search only for a particular hit type
	with beagle-search no matter what locale the user
	is using.
	
2008-04-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacAlignedView.py:
	Set window size to size_request before it's shown.
	Otherwise we have a blank area at the bottom after
	a search term has been entered.

2008-04-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Set type for beagle-search correclty. This only
	works properly for English locales, because
	beagle-search expects that those types are
	translated. 
	
2008-04-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/ModuleList.py:
	Added sanity checks.
	Fixed crash when two modules with same name should be loaded.
	Warn instead.

2008-04-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Refactored module again.
	Files found by beagle are now divided
	in categories documents, files, audio, video
	images and places
	
2008-04-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/Categories.py:
	Added new categories files, audio, video and
	images

2008-04-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	* deskbar/ui/CuemiacAlignedView.py:
	Adjust layout when applet is moved from one panel
	to another

2008-04-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/googlecodesearch.py:
	Use **args insted of *args in match and set name
	
2008-04-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/ModuleLoader.py:
	Abort loading module when import fails

2008-04-14  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/googlecodesearch.py:
	* deskbar/handlers/yahoo.py:
	Fixed yet another unbound variable exception.
	Can I ever get this right?

2008-04-14  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/googlecodesearch.py:
	* deskbar/handlers/yahoo.py:
	Fixed another unbound variable exception

2008-04-14  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/googlecodesearch.py:
	* deskbar/handlers/yahoo.py:
	Unescape &amp; &lt; and &gt;
	
2008-04-14  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/yahoo.py:
	Refactored parser for search results

2008-04-14  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/googlecodesearch.py:
	* deskbar/handlers/yahoo.py:
	Fixed exception that variable stream is unbound

2008-04-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/art/google.png:
	* deskbar/handlers/googlecodesearch.py:
	Brings the power of Google Code Search to Deskbar-Applet.
	You can view the file at Google Code Search or go to
	to the location of the package the file is part of.

2008-04-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/yahoo.py:
	Adjust priorities of matches that the results
	are displayed in the same order as provided by
	yahoo and not alphabetically.

2008-04-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/yahoo.py:
	Fixed exception when search result has no summary
	
2008-04-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacCellRendererAction.py:
	Use theme's dark color instead of bg when in prelight
	state. The arrow has always the height of the font size.
	That way we don't end up with huge arrows when matches
	take more than one line.

2008-04-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/yahoo.py:
	Replaced expat parser with custom SAX2 parser.
	Added support to change the language the search results
	should be in (configurable in preferences).
	Added possibility to search for specific formats only.
	If the query contains format:<format> only those files
	are searched (where <format> is one	of html, msword,
	pdf, ppt, rss, txt, xls).
	Added new YahooSuggestHandler module. It suggests
	alternative queries based on the given query.

2008-04-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/preferences/DeskbarPreferences.py:
	Fixed: Accidently removed check if module is configurable

2008-04-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-static.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/iswitch-window.py:
	* deskbar/handlers/programs.py:
	Re-organized imports

2008-04-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/desklicious.py:
	Use Match's new set_snippet method to display tags
	
2008-04-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/yahoo.py:
	Catch exception that might appear during parsing
	and cleanup correctly in any case.

2008-04-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/desklicious.py:
	Replace all whitespaces in query with spaces.
	Catch exception that might appear during parsing
	and cleanup correctly in any case. (fixes bug #484667)

2008-04-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacCellRendererCategory.py
	* deskbar/ui/cuemiac/CuemiacCellRendererAction.py
	* deskbar/ui/cuemiac/CuemiacCellRenderer.py
	* deskbar/ui/cuemiac/CuemiacCellRendererMatch.py
	* deskbar/ui/cuemiac/CuemiacTreeView.py
	* deskbar/ui/cuemiac/Makefile.am:
	Added CuemiacCellRendererAction class that renders either
	a categories match count or an arrow for a match that has
	more than one action.
	Replaced CuemiacCellRendererCategory with CuemiacCellRendererMatch
	that either renders category's title or the description of a match.
	Added CuemiacCellRenderer: base class for CuemiacCellRendererAction
	and CuemiacCellRendererCategory.
	
2008-04-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacCellRendererCategory.py:
	* deskbar/ui/cuemiac/TreeView.py:
	* deskbar/ui/cuemiac/Makefile.am:
	Moved CellRendererCuemiacCategory to separate file CuemiacCellRendererCategory.
	Always use isinstance to check classes

2008-04-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacAlignedView.py:
	Fixed bug #520278: Window in sticky mode too small

2008-04-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Show match that opens beagle-search when more than
    the maximum results have been found.
    It will only be searched for this particular category.
    
2008-04-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/DeskbarStatusIcon.py:
    Fixed bug #527032: Use gtk.status_icon_position_menu
    for positioning the popup menu

2008-04-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/art/48x48
    * data/art/48x48/deskbar-applet.png
    * data/art/scalable/deskbar-applet.png
    * data/art/Makefile.am
    * deskbar/core/Utils.py
	* deskbar/ui/AbstractCuemiacDeskbarIcon.py
    * deskbar/ui/DeskbarApplet.py
    * deskbar/ui/DeskbarStatusIcon.py:
    Both horizontal and vertical panel show the same icon now.
    Use PNG images for the icon when the panel is smaller 48 and
    SVG image above. (fixes #526536 completely)

2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/Deskbar_Applet.xml:
    * deskbar/ui/DeskbarStatusIcon.py:
    Use gtk-clear icon instead of gtk-empty for
    "Clear history" item in popup menu

2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/epiphany.py:
    * deskbar/handlers/files.py:
    * deskbar/handlers/iswitch-window.py:
    * deskbar/handlers/tomboy.py:
    Replaced print statements with logger calls

2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Unref beagle client when module is disabled
    
2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    When checking firefox version. Wait until the process
    terminated to avoid zombie processes.

2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Close prefs_file

2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Don't use QueryPartHuman anymore. Use add_test instead.
    
2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Cleaning up when all hits for a query returned,
    should work now

2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Don't return when an error occured while sending query

2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Added additional logger calls

2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/deskbar-applet.py
    Display seconds for logging statements, too

2008-04-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/deskbar-applet.py
	* deskbar/ui/DeskbarTray.py
	* deskbar/ui/AbstractCuemiacDeskbarIcon.py
	* deskbar/ui/DeskbarApplet.py
	* deskbar/ui/Makefile.am
	* po/POTFILES.in:
	Removed DeskbarTray.py and added DeskbarApplet.py
	that represents the Deskbar icon when used as applet.
	The size of the icon is no longer based on applet's
	size hint, but the allocation width and height.
	(fixes bug #526536 partly)

2008-04-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/AbstractCuemiacDeskbarIcon.py:
	* deskbar/ui/DeskbarStatusIcon.py:
    * deskbar/ui/DeskbarTray.py:
    Check for SVG support in DeskbarStatusIcon, too

2008-04-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/DeskbarTray.py:
    Added check if SVG images are supported by gtk+ 

2008-04-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/ModuleLoader.py:
	Added sanity checks to initialize_module and stop_module

2008-04-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Utils.py:
    load_icon returns None if fall back icon
    'stock_unknown' is not present in the theme
    (fixes bug #506379)

2008-04-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/ModuleList.py:
    Fixed exception when changing default browser
    while preferences window is open

2008-04-04  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/updater/Capuchin.py:
    * deskbar/ui/preferences/DeskbarPreferences.py:
    Adjusted to Capuchin API change

2008-04-04  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * po/POTFILES.in:
    Added DeskbarStatusIcon to POTFILES.in

2008-04-03  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/DeskbarStatusIcon.py:
    * deskbar/ui/AbstractCuemiacDeskbarIcon.py:
    Force window UI in tray mode

2008-04-03  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/DeskbarStatusIcon.py:
    Display popup menu beneath the Deskbar icon in tray mode
    
2008-04-03  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/AbstractCuemiacDeskbarIcon.py:
    * deskbar/ui/DeskbarStatusIcon.py:
    * deskbar/ui/DeskbarTray.py:
    * deskbar/ui/Makefile.am:
    * deskbar/deskbar-applet.py:
    Added the possibility to run Deskbar as a tray icon
    instead of an applet with the -t option from the
    commandline. It only works with Window UI.

2008-04-02  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/interfaces/Action.py:
    * deskbar/handlers/files.py:
    Fixed typo (wether => whether)

2008-03-31  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/gtkexcepthook.py:
    Updated modules whitelist to include all modules we ship

2008-03-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Escape regex markup from query string

2008-03-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/actions/ActionsFactory.py:
    When a command to open a file has arguments itsself
    move them over to the arguments list

2008-03-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/CoreImpl.py:
    * deskbar/core/ModuleLoader.py:
    * deskbar/interfaces/Match.py:
    Added sanity checks
        
2008-03-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/interfaces/Match.py:
    Changed debug level of "Action is not valid"
    from error to warning

2008-03-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Refactored beagle-live module. It retrieves snippets sync
    for now instead of async. The snippet is
    made available through new (set|get)_snippet methods

2008-03-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/interfaces/Match.py:
    * deskbar/ui/cuemiac/CuemiacModel.py:
    Added (set|get)_snippet methods to Match interface.
    If a snippet is set it will displayed in a
    new line under the matche's get_verb value

2008-03-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/tomboy.py:
    Catch dbus.DBusException, too

2008-03-29  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/preferences/DeskbarPreferences.py:
    Set update button insensitive when no module is selected

2008-03-29  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/preferences/DeskbarPreferences.py:
    * deskbar/ui/preferences/ProgressbarDialog.py:
    Dialog that shows success message is not blocking
    anymore and modal. Text in ProgressbarDialog is
    no longer selectable

2008-03-28  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/ModuleInstaller.py:
    * deskbar/ui/preferences/ErrorDialog.py:
    Fixed: Error dialog appears when installing
    a valid module after an invalid one has been
    installed.
    ErrorDialog is no longer resizable

2008-03-28  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/ModuleList.py:
    * deskbar/ui/preferences/DeskbarPreferences.py:
    Sort new extension according to their name.
    Don't insert tags more than once when the
    "Search for new extensions" button has been
    pressed more then once
    
2008-03-25  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/prefs-dialog.glade:
    * core/updater/Capuchin.py:
    * deskbar/ui/preferences/DeskbarPreferences.py:
    Added ComboBox that includes all tags from the
    repository. Selecting a tag will only display
    the modules that have this tag

2008-03-25  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/preferences/DeskbarPreferences.py:
    Forgot to actually run dialog when module has been installed

2008-03-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/ModuleLoader.py:
    * deskbar/ui/DeskbarTray.py:
    Removed notification about usage of modules
    using old API (didn't work good anyway)

2008-03-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/tomboy.py:
    Converted tabs to spaces and surrounded each
    dbus call with try-except statement

2008-03-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/*.py:
    Reorganized imports and logging statements

2008-03-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacAlignedView.py:
    * deskbar/ui/CuemiacWindowView.py:
    Mark empty button insensitive
    when history contains no items.

2008-03-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Mark error message about wrong version
    as translateable

2008-03-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/tomboy.py:
    * deskbar/handlers/mozilla.py:
    Forgot to set priority for matches

2008-03-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/programs.py:
    Sort matches that results from .desktop files
    have higher priority than programs in $PATH
    and that binary names that are exactly
    the query term are always at the top

2008-03-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/programs.py:
    When a program in path that startswith
    the query term and it's also the binary
    of a .desktop file, only show the match
    of the .desktop file

2008-03-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/preferences/DeskbarPreferences.py:
    Fixed NoneType error in preferences when the
    module is moved with DnD

2008-03-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Utils.py:
    * deskbar/handlers/programs.py:
    Find programs in $PATH that start
    with the search term

2008-03-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacModel.py:
    Added more logger calls for debuggin

2008-03-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/updater/Capuchin.py:
    Catch dbus.DBusException in is_capuchin_available()
    Apparently, the exception might appear here.

2008-03-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacWindowController.py:
    Only store window position when window UI is used

2008-03-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/interfaces/View.py:
    * deskbar/ui/CuemiacAlignedView.py:
    * deskbar/ui/CuemiacWindowView.py:
    * deskbar/ui/CuemiacWindowController.py:
    Mark history ComboBox insensitive when no
    items are in history (fixes bug #486072)

2008-03-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacAlignedView.py:
    Removed duplicate code

2008-03-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Categories.py:
    * deskbar/handlers/beagle-live.py:
    Changed default of "notes" category to note.png
    Changed icon if OpenNoteAction to note.png

2008-03-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Fixed bug #474496: Files inside archives
    Files that are in archives will appear as
    "Open <archive> containing <file>"

2008-03-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/updater/NewStuffManager.py:
    * deskbar/core/updater/Capuchin.py:
    * deskbar/core/updater/Makefile.am:
    * deskbar/core/ModuleList.py:
    * deskbar/ui/preferences/DeskbarPreferences.py:
    * deskbar/ui/preferences/ModuleListView.py:
    Added preliminary Capuchin support. It works, but
    it's still pretty ugly.

2008-03-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/interfaces/Module.py:
    Added is_updateable and set_updateable methods

2008-03-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/preferences/DeskbarPreferences.py:
    Fixed bug #522486: Use gtk.Tooltips to set tooltip
    
2008-03-17	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Post release bump to 2.23.1

========== Version 2.22.0.1 released 2008-03-11 ==========

2008-03-11	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    * configure.ac:
    * deskbar/handlers/tomboy.py:
    Fixed: Detect tomboy version correctly

========== Version 2.22.0 released 2008-03-10 ==========

2008-03-10	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2008-03-03	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/art/note-new.png:
    * data/art/note.png:
    * data/art/Makefile.am:
    * deskbar/handlers/tomboy.py:
    Copied icons from tomboy, because tomboy
    moved their icons.

2008-02-29	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/CoreImpl.py:
    * deskbar/core/ModuleLoader.py:
    Update INSTRUCTIONS when the default browser changes

2008-02-29	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Added firefox version check to MozillaSearchHandler.has_requirements
    method

2008-02-27	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
	Post release bump to 2.22.0
	
2008-02-27	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/CoreImpl.py:
    * deskbar/core/ModuleLoader.py:
    * deskbar/ui/DeskbarPreferences.py:
    Removed useless signal "modules-reloading" from ModuleLoader
    class.
    Fixed bug #518984: Pressing reload button more than once causes
    an exception. The button is now marked insensitive while re-loading.

2008-02-27	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/CoreImpl.py:
    When the default browser changes only stop those modules
    that have been enabled before. (fixes bug #513402)

2008-02-27	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/BrowserMatch.py:
    Fixed bug #518941: 'bool' object has no attribute 'find'

2008-02-27	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/osutils/Makefile.am   
    Fixed bug #519045: missing -export-symbols-regex
    in _osutils_la_LDFLAGS

2008-02-27	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacAlignedWindow.py:
    Tried another fix for bug #513076:
    Entry doesn't get focus in sticky mode
    
2008-02-27	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Removed print statement used for debugging purposes

2008-02-27	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacModel.py:
    Provided better fix for bug #510769:
    list index out of range in CuemiacModel

========== Version 2.21.92 released 2008-02-25 ==========

2008-02-22	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
	Post release bump to 2.21.92
	
2008-02-22	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Previous version check didn't word correctly.
    
2008-02-22	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/BrowserMatch.py:
    * deskbar/handlers/mozilla.py:
    Added check that the firefox version
    is between 2.0.0.0 and 3.0.0.0.
    The modules don't work with FF 3.0 or later
    because data is stored in a SQLite DB since 3.0.

2008-02-13	Mikkel Kamstrup Erlandsen <kamstrup@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacActionsTreeView.py:
    Show lingering selection window when activating action with
    the keyboard (works fine with mouse clicks).


========== Version 2.21.91 released 2008-02-11 ==========

2008-02-11	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2008-02-09	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/actions/ActionFactory.py:
    Fixed bug #506927: Ignore applications that have None
    as command

2008-02-09	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handler/epiphany.py:
    Fixed bug #450960: Exception in epiphany module

2008-02-09	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacModel.py:
    Fixed bug #510769: list index out of range in CuemiacModel
    
2008-02-09	Sebastian Pölsterl  <sebp@cvs.gnome.org>
    
    * deskbar/handlers/gdmactions.py:
    Fixed bug #515318: small typo in string
    
2008-02-03	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/About.py:
    Added documenters to About dialog

2008-02-02	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/About.py:
    Updated years in copyright message

2008-02-02	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacAlignedWindow.py:
    Fixed bug #513076: Entry doesn't get focus in sticky mode

2008-01-30	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
	Post release bump to 2.21.91

2008-01-30	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * help/C/deskbar.xml:
    Added section about new UI (patch by Phil Bull)

2008-01-29	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * help/C/deskbar.xml:
    Re-added class="extension" from filename tag
    Use DocBook 4.2 instead of 4.1.2
    
========== Version 2.21.90.1 released 2008-01-29 ==========

2008-01-29	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    * NEWS:
    Set version to 2.21.90.1

2008-01-29	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/ModuleList.py:
    Fixed AttributeError in remove_module method in ModuleList.
    Use logging instead of print

2008-01-28	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
	Post release bump to 2.21.91

========== Version 2.21.90 released 2008-01-28 ==========

2008-01-28	Sebastian Pölsterl  <sebp@cvs.gnome.org>
    
    * help/C/deskbar.xml:
    Removed class="extension" from filename tag
    Otherwise make distcheck fails
    
2008-01-28	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2008-01-26	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/deskbar-applet.schemas.in
    * data/prefs-dialog.glade
    * deskbar/interfaces/Core.py
    * deskbar/__init__.py
    * deskbar/core/DeskbarHistory.py
    * deskbar/core/GconfStore.py
    * deskbar/core/CoreImpl.py
    * deskbar/ui/CuemiacWindowView.py
    * deskbar/ui/preferences/DeskbarPreferences.py
    * deskbar/ui/DeskbarTray.py
    * deskbar/ui/cuemiac/LingeringSelectionWindow.py
    * deskbar/ui/cuemiac/CuemiacActionsTreeView.py
    * deskbar/ui/cuemiac/Makefile.am
    * deskbar/ui/cuemiac/CuemiacAlignedWindow.py
    * deskbar/ui/cuemiac/CuemiacModel.py
    * deskbar/ui/CuemiacWindowController.py
    * deskbar/ui/Makefile.am
    * deskbar/ui/CuemiacAlignedView.py
    * po/POTFILES.in:
    Merged work from the button-ui branch.
    This introduces the old Button UI.
    (work partly by Andreas Kühntopf)

2008-01-25	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/gdmactions.py:
    * deskbar/handlers/tomboy.py:
    * deskbar/ui/preferences/DeskbarPreferences.py:
    Catch dbus.exceptions.DBusException

2008-01-19	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Fixed bug #509126: Show hint that more beagle results are available
    (patch by JcRazo)

2008-01-17	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/epiphany.py
    * deskbar/core/GconfStore.py
    * deskbar/core/CoreImpl.py
    * deskbar/core/ModuleLoader.py
    * deskbar/core/ModuleList.py
    * deskbar/ui/preferences/DeskbarPreferences.py:
    Fixed bug #452205: Deskbar does not notice when preferred
    browser changed for web searches (patch by aantny)
    
2008-01-17	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * help/C/deskbar.xml:
    Added section about installing modules. (thanks to Qing Gan)

2008-01-15	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
	Post release bump to 2.21.90

========== Version 2.21.5 released 2008-01-14 ==========

2008-01-14	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * NEWS:
    Added release notes

2008-01-14	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacWindowController.py:
    Fixed bug #509127: Execute previous search (patch by Andreas Kühntopf)
    When you cycle through previous searches with up/down keys pressing
    enter will re-run the search.

2008-01-13	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacWindowController.py:
    Fixed bug #500550: invalid tree path in DeskbarHistory.py
    
2008-01-13	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/tomboy.py:
    Fixed bug #509058: list index out of range in tomboy.py

2008-01-12	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/actions/OpenDesktopFileAction.py:
    Be compatible with older versions of this file that
    had no attribute '_prog' (fixes bug #500846)

2008-01-12	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    Each file uses its own logger now

2008-01-12	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/desklicious.py:
    Fixed bug #507414: AttributeError in del.ico.us module

2008-01-11	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/DeskbarHistory.py:
    Catch Exception when loading history to prevent
    that bugzilla pops up when history file is corrupted
    (fixes bug #504916)

2008-01-11	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/deskbar-applet.py:
    * po/POTFILES.in:
    Fixed bug #508326: The window title is not translatable

2008-01-10	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/actions/OpenFileAction.py:
	Catching RuntimeException in is_valid and return
	False if it occurs

2008-01-10	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacActionsTreeView.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/cuemiac/LingeringSelectionWindow.py:
	* deskbar/ui/cuemiac/Makefile.am:
	* deskbar/ui/CuemiacWindowView.py:
	Re-added LingeringSelectionWindow for CuemiacTreeView
	and CuemiacActionsTreeView

2008-01-09	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/prefs-dialog.glade
	* deskbar/core/CoreImpl.py
	* deskbar/core/ModuleLoader.py
	* deskbar/ui/preferences/DeskbarPreferences.py:
	Added button to preference to reload all modules.
	(fixes bug #356008: a 'reload all scripts' button on the deskbar applet)
	patch by Jc Razo

2009-01-08	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/Deskbar_Applet.xml:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/DeskbarTray.py:
	* help/C/deskbar.xml:
	* help/C/figures/deskbar-applet.png:
	Added documentation written by Phil Bull and Qing Gan
	Added 'Help' to right-click-menu

2008-01-02	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/Match.py:
	Print further debug information if a non-valid
	action is added

2008-01-02	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/evolution/evolution.c:
	Fixed bug #350597: "Send a mail" to a contact list adds only the first contact to "To:"
	(patch by Michael Lester)

2007-12-29	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/programs.py:
    Fixed bug #382127: devhelp handler is broken
    (patch by Michael Lester)
    
2007-12-25	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Fixed bug #504875: cannot concatenate 'str' and 'NoneType'
    objects in beagle-live.py

2007-12-23	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/Makefile.am:
    * deskbar/handlers/tomboy.py:
    * po/POTFILES.in:
    Added tomboy module (written by archengule at gmail.com)

2007-12-21	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/interfaces/Match.py:
    * deskbar/ui/cuemiac/CuemiacModel.py:
    Don't add actions to Match class if they're not valid
    and remove invalid from Match before adding it
    to CuemiacModel (patch by Denis Washington)
    Fixes bug #418014: Error when opening files without a default application

2007-12-17	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
	Post release bump to 2.21.5

========== Version 2.21.4 released 2007-12-17 ==========

2007-12-17	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    * NEWS:
    Prepare for 2.21.4 release

2007-12-17	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/CuemiacWindowView.py:
    Fixed bug #490297: Window role for search window.
    Window role set to "deskbar-search-window"

2007-12-16	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/actions/OpenFileAction.py:
    Mark action as invalid if no default application is registered
    to open the file. However, Deskbar-Applet does not respect
    invalid actions, yet. (patch by Denis Washington)

2007-12-16	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac
    * deskbar/handlers/templates.py
    * deskbar/handlers/Makefile.am
    * deskbar/core/_userdirs/__userdirsmodule.c
    * deskbar/core/_userdirs/__init__.py
    * deskbar/core/_userdirs/Makefile.am
    * deskbar/core/Utils.py
    * deskbar/core/Makefile.am:
    Fixed bug #351817: Adding gnome templates to deskbar applet
    (patch by Denis Washington)

2007-12-07	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Utils.py:
    load_icon returns "stock_unknown" icon if given icon
    is not available

2007-12-07	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/ModuleLoader.py:
    Fixed: Doesn't load modules from one file when only
    one of them has missing requirements

========== Version 2.21.3 released 2007-12-03 ==========

2007-12-03	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    * NEWS:
    Prepare for 2.21.3 release

2007-12-02	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/gdmactions.py:
    Fixed bug #406100: Deskbar "Computer Actions" could ask for confirmation
    (patch by Denis Washington)
    
2007-11-26	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Fixed bug #499706: add iceweasel as firefox equivalent
    Patch by Sebastien Bacher
    
2007-11-25	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/gdmactions.py:
    Replaced "Log out" with "Log Out"

2007-11-25	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacTreeView.py:
    Fixed bug #471672: 'NoneType' object has no attribute 'get_actions'
    I couldn't find the cause. It just ignores None values and prints an
    error message
    
2007-11-25	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Previous fix for bug #479091 didn't work.
	Now access to self.hits is surrounded with Lock.acquire() and Lock.release() 

2007-11-25	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fixed bug #479091: KeyError in _on_snippet_closed

2007-11-17	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Utils.py:
    Load icons from user's modules dir, too

2007-11-17	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/programs.py:
    Added has_requirements method for GnomeDictHandler, GnomeSearchHandler
    and DevhelpHandler

2007-11-16	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/gdmactions.py:
    Added icons for matches

2007-11-16	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/actions/SendEmailAction.py:
    * deskbar/handlers/actions/SendFileViaEmailAction.py:
    Replaced stock_mail-send icon with stock_mail-compose

2007-11-16	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/Categories.py:
    Changed icon for category people to stock_people

2007-11-16	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/evolution/_evolution.override:
    * deskbar/handlers/evolution/evolution.c:
    * deskbar/handlers/evolution/evolution.h:
    * deskbar/handlers/evolution.py:
    Added action to edit evolution contacts

========== Version 2.21.2 released 2007-11-12 ==========

2007-11-12	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    * NEWS:
    Prepare for 2.21.2 release

2007-11-09	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/cuemiac/CuemiacModel.py:
    Always show description (get_verb() % get_name()) of default action

2007-11-09	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/programs.py
    * deskbar/handlers/history.py
    * deskbar/handlers/files.py
    * deskbar/handlers/desklicious.py
    * deskbar/handlers/iswitch-window.py
    * deskbar/handlers/yahoo.py
    * deskbar/handlers/recent.py
    * deskbar/handlers/web_address.py
    * deskbar/handlers/evolution.py
    * deskbar/interfaces/Match.py
    * deskbar/core/BrowserMatch.py:
    Replaced Match's get_hash(self, text=None) with get_hash(self),
    because second argument is never provided
    
2007-11-09	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/programs.py:
    Remove on_key_press method of ProgramsHandler class and
    add new action "Execute in terminal"

2007-11-09	Sebastian Pölsterl  <sebp@cvs.gnome.org>
    
    * deskbar/core/DeskbarHistory.py:
    * deskbar/ui/cuemiac/CuemiacModel.py:
    Added assertions to prevent storing None values

2007-11-08	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/actions/OpenDesktopFileAction.py:
    * deskbar/handlers/programs.py:
    Fixed bug#489312: action list didn't show binary names
    Added parameter "executable" to constructor of OpenDesktopFileAction
    added get_name method and changed return value of get_verb
    
2007-11-05	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/DeskbarHistory.py:
	* deskbar/ui/cuemiac/CuemiacEntry.py:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Fixed: Cannot browse history when pressing up/down key
	Show blank entry when no newer history items are available
	Skip ChooseFromHistoryAction when browsing history
	Show deskbar icon if history item has no icon

2007-10-31	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Fixed bug #472568: Deskbar launches file texts as programs

2007-10-28	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/preferences/DeskbarPreferences.py:
	Fixed bug #490981: Buttons aren't insensitive when no module is selected

2007-10-27	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/keybinder/_keybinder.override:
	* deskbar/core/Keybinder.py:
	Fixed: Doesn't unbind keybinding when it changes.
	Python binding of tomboy_keybinder_bind returns boolean value now

2007-10-22	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* po/POTFILES.in:
	Removed DeskbarApplet.py and added DeskbarTray.py

2007-10-20	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/deskbar-applet.py:
	* deskbar/ui/DeskbarApplet.py:
	* deskbar/ui/DeskbarTray.py:
	* deskbar/ui/Makefile.am:
	Fixed bug #488066: deskbar applet should use complete vertical panel space
	Removed ToggleEventBox and replaced DeskbarApplet with DeskbarTray, a gtk.EventBox
	sub-class.

2007-10-19  Owen Taylor  <otaylor@redhat.com>

	* deskbar/ui/cuemiac/CuemiacEntry.py:
	* deskbar/ui/CuemiacWindowView.py:
	Bug #488047:
	Propagate the return value on CuemiacEntry::key-press-event
	back to the entry so that 'handled' is properly detected
	and ::key-press-event doesn't get emitted twice.

	Add return values to CuemiacEntry::go-next/go-previous, with
	the meaning 'handled', so that we can get the right return
	value for ::key-press-event in that case as well. 

2007-10-16	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacHeader.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Fixed: Layout is destroyed when changing font size.
	Used relative values instead of absolutes.

2007-10-16	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/deskbar-applet.schemas.in:
    Fixed typo

========== Version 2.20.1 released 2007-10-15 ==========

2007-10-15	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    * NEWS:
    Prepare for 2.20.1 release
    
2007-10-15	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Fixed bug #486550: Set icon of OpenPathProgramAction to gtk-execute.
	Don't display an icon in history, if none is set.

2007-10-13	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	* deskbar/ui/cuemiac/CuemiacModel.py:
	Fixed bug #486337 in the right place: Removed sorting alphabetically in mozilla
	module and corrected sorting in CuemiacModel

2007-10-13	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Fixed bug #486337: Make sure that mozilla search engines
	will be displayed in alphabetical order

2007-10-11	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	Fixed bug #483544: Search directories recursive for .desktop files
	Fixed bug: Don't replace OpenPathProgramAction in history when arguments
	differ

2007-10-10	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/CoreImpl.py:
	Fixed bug #474627: global name 'DEFAULT_KEYBINDING' is not defined

2007-10-06	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/desklicious.py:
    * deskbar/handlers/yahoo.py:    
    Fixed bug #483985 and bug #482379:
    Catch IOErrors and print exception using logging.error
    Replaced print statements with logging.info
    
2007-10-06	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/actions/ActionsFactory.py:
    Retrieve MIME type with gnomevfs.get_file_info
    instead of gnomevfs.get_mime_type, because this
    function returns detailed errors

2007-10-06	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    Fixed bug #475630: No module named dbus
    Added dbus-python >= 0.80.2 as dependency

2007-09-29	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/deskbar-applet.schemas.in:
    Fixed bug #478067: gconf schema problem.
    String freeze break approval by Johannes Schmid and
    Claude Paroz

2007-09-28	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/deskbar-applet.py:
	Fixed bug #481029: deskbar-applet.py missing final newline

2007-09-23	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Fixed additional bug in MozillaBookmarksHandler
    concerning smart bookmarks

2007-09-23	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Fixed bug #479302: Crash in MozillaBookmarksHandler

2007-09-20	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Fixed bug #478223: Error in beagle-live handler when retrieving snippet

2007-09-18	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/core/DeskbarHistory.py:
    Fixed bug #470985: EOFError when loading history
    Fixed bug #474179: ImportError when loading history

========== Version 2.20.0 released 2007-09-17 ==========

2007-09-17	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * configure.ac:
    * NEWS:
    Prepare for 2.20.0 release

2007-09-15	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/DeskbarApplet.py:
    Fixed bug #470838: 'DeskbarApplet' object has no attribute
    '_DeskbarApplet__view' (patch by Tom Parker)

2007-09-15	Mikkel Kamstrup Elandsen  <kamstrup@cvs.gnome.org>

    * deskbar/handlers/history.py
    Fix crasher when the returned action's hash i None by 
    wrapping it in a str().
    Freeze break approval from Crozat and Untz.

2007-09-10	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/ui/DeskbarApplet.py:
    Removed unnecessary code to toggle view

2007-09-10	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Retrieve snippets without causing exceptions in beagled
    Fixed bug when "inside_archive" key is not in result

2007-09-10	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Fixed bug #474496: Files inside archives

2007-09-10	Sebastian Pölsterl  <sebp@cvs.gnome.org>
    
    * deskbar/handlers/actions/ActionFactory.py:
    Added: Check if path exists and is readable

2007-09-10	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/evolution.py:
    Fixed bug #474364: Evolution contact hits are uncategorized

2007-09-06	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/beagle-live.py:
    Fixed bug #470848: One-line hits displayed with a second line
    
2007-09-06	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/interfaces/Match.py:
    Changed default implementation of get_hash to return id of class

2007-09-06	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * data/deskbar-applet.schemas.in:
	* deskbar/core/CoreImpl.py:
	* deskbar/core/GconfStore.py:
	* deskbar/interfaces/Core.py:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Reverted revision 1545:
	Display windows always in the middle of the screen and keep it above.
	Removed storing/setting window position.
	
2007-09-06	Sebastian Pölsterl  <sebp@cvs.gnome.org>

    * deskbar/handlers/mozilla.py:
    Fixed bug #473375
    Fixed: "Show only primary search engines" with Mozilla handler has no effect

2007-09-05	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowController.py:
	Pressing keybinding toggles view to be consistent 
	with 2.18.x series.

2007-09-05	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Make pressing escape and alt-f4 behave the same way

2007-09-05	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Save and restore window height when results are visible
	correctly

2007-09-04	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/gdmaction.py:
	Fixed bug #473445: GdmRebootAction instance has no attribute 'request_logout'

2007-09-04	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/evolution.py:
	Fixed bug #473295: Contacts with image cause exception

2007-09-04	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/Match.py:
	Added type check for set_icon method

2007-09-04	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Fixed: Exception when creating VolumeMatch

========== Version 2.19.92 released 2007-09-03 ==========

2007-09-03	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	* NEWS:
	Prepare for 2.19.92 release

2007-09-03	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/Match.py:
	Added type checks for icon and pixbuf

2007-09-03	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/art/delicous.png
	Fixed bug #472930: del.icio.us Tango icon

2007-09-03	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	Fixed bug #473107: Deskbar opens all last searched words when searching in dictionary

2007-09-03	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	Replace gnome-searchtool icon with system-search icon
	because it got removed from gnome-icon-theme

2007-09-03	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/deskbar-applet.pc.in:
	* deskbar/__init__.py:
	* deskbar/handlers/Makefile.am:
	Changed modules folder to modules-2.20-compatible
	Changed history file to history-2.20-compatible

2007-09-02	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/Keybinder.py:
	Fixed: Throw exception if keybinding is already in use

2007-09-02	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Fixed typo

2007-09-01	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/desklicious.py:
	Fixed bug #472375: Searching with del.icio.us when no username has been entered

2007-09-01	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Fixed bug #472449: crash in Deskbar: Typed random text

2007-09-01	Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Fixed bug #472069: crash in Web Bookmarks (Mozilla) entering search terms or scrolling

2007-08-31  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/BrowserMatch.py:
	OpenSmartBoomarkAction has "web-search" icon

2007-08-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/deskbar-applet.pc:
	Fixed: ignoring datarootdir

2007-08-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Bump minimum version of gtk+, pygtk and pygobject to 2.10

2007-08-30  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/history.py:
	Matches of history handler have icon of action

2007-08-29  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Fixed: Exception when activating match pressing Enter

2007-08-28  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Only activate first item when pressing Enter in entry
	if results are already available

2007-08-28  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowView.py:
	Only clear entry, matches and actions when pressing escape
	if clear_entry is TRUE

========== Version 2.19.91 released 2007-08-27 ==========

2007-08-27  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/cuemiac/WindowView.py:
	Add "Back to Matches" button under the list of actions.
	Make the '>' beneath matches that have more than one action
	clickable to go the list of actions. This replaces that you
	have to press ctrl while clicking on a match to display its
	actions.

2007-08-27  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	* NEWS:
	Version bump to 2.19.91

2007-08-26  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/smart-bookmarks.glade:
	Removed description that matches can be activated
	with Alt+LETTER, because this feature isn't available
	anymore.

2007-08-26  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	Removed too much in the previous commit.

2007-08-26  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/BrowserMatch.py:
	* deskbar/handlers/epiphany.py:
	Fixed: Exception when using epiphany handler
	Some parts weren't ported to new API

2007-08-24  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/preferences/DeskbarPreferences.py:
	* deskbar/ui/preferences/ModuleListView.py:
	Fixed: When moving modules with buttons the view didn't follow
	the selected module

2007-08-24  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/art/yahoo.png:
	Fixed bug #468813: Yahoo Extension Icon (thanks to Michael Monreal)

2007-08-24  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/web-search.png:
	* deskbar/core/Categories.py:
	* deskbar/handlers/epiphany.png:
	* deskbar/handlers/mozilla.png:
	Added web-search icon
	Changed icon of MozillaSearchHandler, EpiphanySearchHandler
	and websearch category to web-search

2007-08-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/Categories.py:
	Changed default icon for history to "document-open-recent"

2007-08-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/art/gpm-suspend-to-disk.png:
	* data/art/gpm-suspend-to-ram.png:
	Replaced with 16x16 icons (thanks to Michael Monreal)

2007-08-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/art/epiphany-history.png:
	Updated to new icon (thanks to Michael Monreal)

2007-08-21  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/art/folder-bookmark.png:
	* data/art/google.png:
	Removed unused icons

2007-08-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Fixed bug #468452: History widget size
	Only the first line of text will be displayed
	in the history combobox.

2007-08-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/Categories.py:
	Changed icon of email category to 'emblem-mail'
	(patch by Michael Monreal)

2007-08-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/recent.py:
	Changed icon of RecentHandler to 'document-open-recent'
	(patch by Michael Monreal)

2007-08-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	Changed icon for GnomeDictHandler to 'accessories-dictionary'
	because gdict isn't included in gnome-icon-theme anymore.
	(patch by Michael Monreal)

2007-08-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowView.py:
	Changed icon of button to clear history to gtk.STOCK_CLEAR
	(patch by Michael Monreal)

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowView.py:
	Removed that window is always on top

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Display snippets of IM messages correctly

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Clear entry, matches and actions list if "clear_entry" is True.
	Otherwise, navigation in the TreeView is still possible and
	would cause trouble.
	Set default entry icon correctly if needed.

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/CuemiacWindowController.py:
	Pressing Enter in entry either activates
	selected match or top most that's not in a collapsed
	category

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/DeskbarHistory.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Added "cleared" signal to DeskbarHistory class.
	Display "Choose action" after history item has been
	selected and history has been cleared.

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/deskbar-applet.py:
	* deskbar/gtkexcepthook.py:
	Install bug buddy exception hook.
	Removed dialog that displays stack trace.
	If an exception is raised in a module
	only bring up bug buddy if its filename
	is contained in a whitelist. That way
	we want to prevent that exceptions in 3rd-party
	handlers land in bugzilla.

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacModel.py:
	Fixed: Match is labeled wrong if match has 2 actions

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/evolution.py:
	Contacts retrieved by beagle-live and evolution should
	have the same hash

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Clear list of matches and actions not until
	first new match arrives

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/DeskbarHistory.py
	* deskbar/handlers/files.py
	* deskbar/handlers/actions/GoToLocationAction.py
	* deskbar/handlers/actions/SendFileViaEmailAction.py
	* deskbar/handlers/actions/OpenWithNautilusAction.py
	* deskbar/handlers/actions/ShowUrlAction.py
	* deskbar/handlers/beagle-live.py
	* deskbar/handlers/desklicious.py
	* deskbar/ui/preferences/DeskbarPreferences.py
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Removed unused imports found by pyflakes

2007-08-19  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	Added epydoc API documentation

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Display URL of WebHistory results properly.
	Added type directory to display files that
	actually are directories in places category.

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Removed config dialog.

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/preferences/DeskbarPreferences.py:
	Set More button sensitive when callback (module's
	show_config method) is callable and don't depend
	on value of INSTRUCTIONS attribute

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Display snippets italic
	Results contain hit source

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	Changed default value from "clear_entry" to TRUE

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/galeon.py:
	Removed galeon handler because galeon isn't
	maintained anymore

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* deskbar/core/CoreImpl.py:
	* deskbar/core/GconfStore.py:
	* deskbar/interfaces/Core.py:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Display windows always in the middle of the screen
	and keep it above.
	Removed storing/setting window position.

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fixed: Results from contacts and calendar are missing

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-static.py:
	Fixed bug #467825: Beagle VS Beagle-Live plugin

2007-08-18  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/DeskbarHistory.py:
	* deskbar/handlers/actions/GoToLocationAction.py:
	* deskbar/handlers/actions/OpenDesktopFileActiony.py:
	* deskbar/handlers/actions/OpenFileAction.py:
	* deskbar/handlers/actions/OpenWithApplicationAction.py:
	* deskbar/handlers/actions/OpenWithNautilusActiony.py:
	* deskbar/handlers/actions/ShowUrlAction.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	* deskbar/ui/CuemiacWindowController.py:
	Implemented is_valid method properly and checking
	is_valid before restoring history and activating
	an action

2007-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fixed several bugs including display of snippets.

2007-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/deskbar-applet.pc.in:
	Removed 'handlersdir' and added 'modulesdir'

2007-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Fixed: GtkBookmarkMatch throws exception

2007-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Fixed: Execute actions twice

2007-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fixed: Opening and searching for IM logs doesn't work

2007-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/preferences/AccelEntry.py:
	Fixed bug #413097: wierd text-string in deskbar-applet

2007-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Fixed: Navigation issues if one or more categories where
	collapsed

2007-08-17  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowController.py:
	Fixed: Doesn't close window after history action has
	been selected

2007-08-16  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/actions/ActionsFactory.py:
	Fixed: Only check for default application if
	a default application is available

2007-08-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/DeskbarApplet.py:
	Fixed: Missing transparency

2007-08-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* deskbar/core/CoreImpl.py:
	* deskbar/core/GconfStore.py:
	* deskbar/interfaces/Core.py:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Removed "show_history" from GConf schema.
	Removed obsolote code to show/hide history

2007-08-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowView.py:
	Select last match when up is pressed in entry.
	Select entry on CuemiacTreeView's "pressed-up-at-top"
	and "pressed-down-at-bottom" signals.
	Only restore small window if it has been saved before.

2007-08-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Added "pressed-up-at-top" and "pressed-down-at-bottom"
	signals.
	Emit above signals when down is pressed on last item
	and when up is pressed on first item instead of
	jumping to the top/bottom.

2007-08-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacEntry.py:
	Added signals "go-previous".
	Set default icon if history item is None.

2007-08-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/CoreImpl.py:
	Fixed: Disabled modules get still queried and return results

2007-08-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/preferences/DeskbarPreferences.py:
	Fixed bug #466541: deskbar-applet crashed with AttributeError
	in on_disabled_module_changed()

2007-08-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/actions/ActionsFactory.py:
	* deskbar/handlers/actions/GoToLocationAction.py:
	* deskbar/handlers/actions/Makefile.am:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/recent.py:
	Added GoToLocationAction.
	Added Factory to easily get actions for given file.
	Make modules use the factory.
	Refactored beagle-live module.

2007-08-15  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/actions/OpenFileAction.py:
	* deskbar/handlers/actions/OpenWithApplicationAction.py:
	* deskbar/handlers/actions/SendFileViaEmailAction.py:
	Resolved some displaying issues with above handlers

========== Version 2.19.90.1 released 2007-08-14 ==========

2007-08-14  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	* NEWS:
	Version bump to 2.19.90.1

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacModel.py:
	Only alter label on duplicate matches if more than
	one action is available

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/CuemiacWindowView.py:
	Pressing enter executes default action.
	Pressing right displays actions.

========== Version 2.19.90 released 2007-08-13 ==========

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* NEWS:
	Prepare for 2.19.90 release

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/Controller.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Mouse click executes default action.
	Ctrl+click displays list of actions.

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowView.py:
	Pressing escape always clears the entry and treeviews
	and closes the window

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowView.py:
	Set skip-taskbar-hint to True

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/deskbar-applet.py:
	Added possibility to start Deskbar unininstalled
	out of the box (patch by Mikkel kamstrup Erlandsen)

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacActionsTreeView.py:
	Pressing down on last item selects first item
	Pressing up on first item selects last item

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Pressing down on last item selects first item
	Pressing up on first item selects last item
	Categories will be skipped when navigating
	with up/down keys

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacModel.py:
	If two matches with same hash get merged
	alter the label

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/mozilla.py:
	Added application name to handlers

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/CoreImpl.py:
	Connect to keybinding-activated signal after modules
	have been loaded

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/CoreImpl.py:
	* deskbar/interfaces/Core.py:
	* deskbar/ui/DeskbarApplet.py:
	Mark UI sensitive if modules have been loaded
	and before they have been initialized

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacWindowController.py:
	Honor "clear_entry" setting

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/Makefile.am:
	* deskbar/__init__.py:
	Moved handlers to modules directory

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* deskbar/core/CoreImpl.py:
	* deskbar/core/GconfStore.py:
	* deskbar/interfaces/Core.py:
	* deskbar/ui/CuemiacWindowView.py:
	* deskbar/ui/cuemiac/CuemiacWindowController.py:
	* deskbar/ui/DeskbarApplet.py:
	Save and restore window position.
	Removed saving of resultsview's width.

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/Controller.py:
	* deskbar/ui/cuemiac/CuemiacWindowView.py:
	* deskbar/ui/cuemiac/CuemiacWindowController.py:
	Replaced HPaned with HBox

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/View.py:
	* deskbar/ui/cuemiac/CuemiacWindowView.py:
	* deskbar/ui/cuemiac/CuemiacWindowController.py:
	Only show either matches treeview or actions treeview

2007-08-13  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacHeader.py:
	* deskbar/ui/cuemiac/CuemiacWindowView.py:
	Added button besides combobox to clear history
	Added mnemonic to focus history combobox

2007-08-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/Deskbar_Applet.xml
	* data/deskbar-applet.schemas.in
	* deskbar/interfaces/Controller.py
	* deskbar/core/DeskbarHistory.py
	* deskbar/core/GconfStore.py
	* deskbar/core/CoreImpl.py
	* deskbar/ui/CuemiacWindowView.py
	* deskbar/ui/cuemiac/CuemiacEntry.py
	* deskbar/ui/cuemiac/CuemiacHistory.py
	* deskbar/ui/cuemiac/Sidebar.py
	* deskbar/ui/cuemiac/CuemiacHeader.py
	* deskbar/ui/DeskbarApplet.py
	* deskbar/ui/CuemiacWindowController.py:
	Remake of the GUI.
	History is now in ComboBox. Menu and statusbar is gone.
    Matches and actions	treeview is only visible
	if search entry has	been entered.

2007-08-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/preferences/DeskbarPreferences.py:
	Fixed: Module order won't be saved if reordered with
	Drag & Drop

2007-08-12  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/prefs-dialog.glade:
	* deskbar/ui/preferences/DeskbarPreferences.py:
	Removed geek options

2007-08-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* po/POTFILES.in:
	Added missing file

2007-08-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/DeskbarApplet.py:
	Mark applet icon insensitive when loading/initializing

2007-08-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowController.py:
	Changed resizing behavior of panes

2007-08-11  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	If escape has been pressed, first all results will
	be cleared (if available) and then the window will
	be closed

2007-08-10  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	Adjusted default values

2007-08-10  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/actions/SendFileViaEmailAction.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/recent.py:
	Added action that sends file via e-mail as
	attachment

2007-08-10  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/web_address.py:
	Fixed bug #388508: web_address.py", line 32: startswith on None

2007-08-10  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle-static.py:
	* deskbar/handlers/history.py:
	Fixed couple of bugs in beagle and history handlers.
	Fixes bug #465212: 'BeagleLiveHandler' object has no
	attribute 'set_delay'

2007-08-10  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Show '>' on the right if more than one action is available

2007-08-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	Converted all tabs to 4 spaces

2007-08-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/gdmactions.py
	* deskbar/handlers/programs.py
	* deskbar/handlers/files.py
	* deskbar/handlers/beagle-static.py
	* deskbar/handlers/galeon.py
	* deskbar/handlers/mozilla.py
	* deskbar/handlers/beagle-live.py
	* deskbar/handlers/epiphany.py
	* deskbar/handlers/desklicious.py
	* deskbar/handlers/iswitch-window.py
	* deskbar/handlers/yahoo.py
	* deskbar/handlers/recent.py
	* deskbar/handlers/web_address.py
	* deskbar/handlers/evolution.py
	* deskbar/__init__.py
	* deskbar/core/__init__.py
	* deskbar/core/Utils.py
	* deskbar/core/BrowserMatch.py
	* deskbar/core/ThreadPool.py
	* deskbar/core/ModuleLoader.py
	* deskbar/core/Keybinder.py
	* deskbar/ui/About.py
	* deskbar/ui/preferences/DeskbarPreferences.py
	* deskbar/ui/cuemiac/CuemiacHistory.py
	* deskbar/ui/cuemiac/CuemiacItems.py
	* deskbar/ui/cuemiac/CuemiacTreeView.py
	* deskbar/ui/cuemiac/CuemiacModel.py:
	Huge code cleanup with the help of pyflakes

2007-08-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/DeskbarApplet.py:
	Fixed bug #464768: pygtk < 2.8.0 compat code refers to obsolete
	DeskbarAppletButton name (patch by Colin Watson)

2007-08-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/preferences/DeskbarPreferences.py:
	Fixed bug #464739: on_install_handler says module when it meant mod_id
	(patch by Colin Watson)

2007-08-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/BrowserMatch.py:
	Fixed bug #464736: "loggin" typo in get_url_host exception handler
	(patch by Colin Watson)

2007-08-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/Core.py:
    * deskbar/core/DeskbarHistory.py:
    * deskbar/core/CoreImpl.py:
    Fixed bug #464735: NotImplementedError misspelled (patch by Colin Watson)

2007-08-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	 * deskbar/handlers/programs.py:
	Fixed bug #464732: Import subprocess before using it. (patch by Colin Watson)

2007-08-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowController.py:
	Fixed previously introduced bug that actions
	are only displayed if a match has been
	double clicked.

2007-08-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacActionsTreeView.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Added possibility to navigate with up/down/left/right keys

2007-08-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/web_address.py:
	Fixed small error

2007-08-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/iswitch-window.py:
	Set correct icon for ISwitchWindowHandler

2007-08-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/actions/OpenDesktopFileAction.py:
	* deskbar/handlers/programs.py:
	Fixed: Save and restore OpenDesktopFileAction correctly

2007-08-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/preferences/ui/ModuleListView.py:
	Added version to description of module

2007-08-08  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowView.py:
	Restore width of sidebar and and results list correctly

2007-08-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/interfaces/Controller.py:
	* deskbar/interfaces/View.py:
	* deskbar/ui/CuemiacWindowController.py:
	* deskbar/ui/CuemiacWindowView.py:
	Clear actions TreeView if selection has changed

2007-08-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/preferences/DeskbarPreferences.py:
	Wrap messages in the info area if they are too long

2007-08-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Version bump to 2.19.90 (again)

2007-08-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/CuemiacWindowController.py:
	Clear actions TreeView if query changed, too

========== Version 2.19.6.1 released 2007-08-07 ==========

2007-08-07  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	* NEWS:
	Prepare for bug fix release 2.19.6.1

2007-08-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/evolution/evolution.c:
	Fixes build error

2007-08-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	Version bump to 2.19.90

========== Version 2.19.6 released 2007-08-06 ==========

2007-08-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* configure.ac:
	* NEWS:
	Decreased version to 2.19.6 and updated NEWS for release

2007-08-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/deskbar-applet.schemas.in
	* data/prefs-dialog.glade
	* deskbar/interfaces/Core.py
	* deskbar/__init__.py
	* deskbar/core/DeskbarHistory.py
	* deskbar/core/GconfStore.py
	* deskbar/core/CoreImpl.py
	* deskbar/ui/preferences/DeskbarPreferences.py:
	Fixed bug #461627 – Change the amount of items in history

2007-08-06  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* po/POTFILES.in:
	Added missing files

2007-08-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/About.py:
	Added line break

2007-08-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/core/BrowserMatch.py:
	* deskbar/handlers/actions/OpenWithNautilusAction.py:
	* deskbar/handlers/actions/ShowUrlAction.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/recent.py:
	* deskbar/handlers/yahoo.py:
	Added additional actions and fixed various bugs

2007-08-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacModel.py:
	Display description of action if only one action
	is available

2007-08-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/desklicious.py:
	Removed unnecessary debug print

2007-08-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Display actions in history properly

2007-08-05  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* data/prefs-dialog.glade:
	Changed improper labels

2007-08-04  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	Merged GSOC_2007 branch

=========================================================

2007-07-09  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	This is the SoC 2007 branch.
	Deskbar underwent huge refactoring including a new GUI
	and a new module API. Therefore, old modules won't work
	with this version.

=========================================================

2007-05-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ModuleLoader.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Instead of printing something to stderr, show an info box in the
	preference view when a handler is NOT_APPLICABLE. Patch by Rob Bradford.
	Fix bug #334150.

2007-05-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	Hide the entry icon when in button mode. This is just a workaround, not a
	real fix. The icon related code should be completely removed. fix bug
	#396688

2007-05-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/DeskbarPreferencesUI.py:
	Additional check for modifier key when saving shortcut. Fix bug #427587. Patch by Sebastian Pölsterl

2007-04-23  Brian Pepple  <bpepple@fedoraproject.org>

	* data/art/Makefile.am (update-icon-cache): fix gtk-update-icon-cache for
	uninstall-hook.

2007-04-20  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/updater/NewStuffUpdater.py:
	Fixed bug the caused Deskbar to crash
	if NewStuffManager was in use

========== Version 2.18.1 released 2007-03-12 ==========

2007-04-07  Nigel Tao  <nigeltao@gnome.org>

	* configure.ac:
	* NEWS:
	Version bump to 2.18.1.  NEWS update.


========== Version 2.18.0 released 2007-03-12 ==========

2007-03-14  Nigel Tao  <nigeltao@gnome.org>

	* configure.ac:
	* NEWS:
	Version bump, NEWS update, in anticipation of the stable 2.18 release.

2007-03-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Post-release bump


========== Version 2.17.93 released 2007-03-12 ==========

2007-03-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Utils.py:
	Fixes bug #410586

2007-02-28  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Post-release bump


========== Version 2.17.92 released 2007-02-28 ==========

2007-02-28  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Prepend file:// in front of bealge filenames, fixing spaces in filename to
	cause errors. Fixes bug #411209

2007-02-28  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Fix detection of gnomeapplet bug #409088

2007-02-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* help/C/deskbar.xml:
	Update the website, authors and stuff in the about section

2007-02-24  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	Fix unfiled bug in the entriac view. The treeview held the
	x-grab resulting in the popup hiding when you clicked the
	scrollbar.
	
2007-02-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Utils.py:
	Typo in the proxy detection code was using http://%s:%d: instea dof
	trailing /
	Fixed bug #408103

2007-02-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* autogen.sh:
	Bump autoconf requirement to autoconf-2.60. Versions before don't set the
	correct datarootdir which in turn make DATA_DIR="" which in turns make
	deskbar crash at startup because it can't find image or data files
	Closes bug #354391

2007-02-22  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/handlers/history.py
	Fix bug #397838. The history matches are now sorted by last use
	instead of old priority (which they in fact weren't anyway!).

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* Makefile.am: Dist MAINTAINERS.

2007-02-11  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	Fix regression in entry ui. When you clicked outside the popup
	it didn't disappear (as it should - in contrary to the cuemiac
	where it is sticky on purpose).
	
	This was caused by the popup not being set as a gtk.WINDOW_POPUP.

2007-02-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Post-release bump to 2.17.92


========== Version 2.17.91 released 2007-02-11 ==========

2007-02-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/iswitch-window.py:
	Fix error when workspace has no attribute 'activate'

2007-02-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ModuleLoader.py:
	Fix bug #402274. Don't delete categories on unload

2007-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/gdmactions.py:
	* deskbar/handlers/recent.py:
	Patches by Tom Parker <palfrey@tevp.net>. Fix bugs #399853 and #399855.

2007-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Bump configure version

2007-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Deskbar_Applet.server.in.in:
	Closes bug #389984. Add more env variable to refresh

========== Version 2.17.90 released 2007-01-22 ==========

2007-01-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Revert a patch: http://svn.gnome.org/viewcvs/deskbar-applet/trunk/deskbar/ui/entriac/CuemiacEntryUI.py?rev=1116&r1=963&r2=1116
	Fixes deskbar disappearing every now and then

2007-01-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	Fixes bug #394461 and bug #394302.

2007-01-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Checking if .gtk-bookmarks is a real file. Fixes bug #398255.
	
2007-01-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/ModuleInstaller.py:
	Fixes bug #399217
	
2007-01-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* deskbar/__init__.py:
	* deskbar/Utils.py:
	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarAppletPreferences.py:
	Moved gconf keys of proxy setup to right place.
	Added a staticmethod to DeskbarApplet to get its instance,
	because this is needed by Utils.get_proxy(). Fixes bug #394734.

2007-01-22  Sebastian Pölsterl  <sebp@cvs.gnome.org>

	* help/C/deskbar.xml:
	Updated documentation to include abstract. Fixes bug #386495.
	Patch by Elijah Newren <newren@gmail.com>

2007-01-11  Nigel Tao  <nigeltao@gnome.org>

	* configure.ac:
	Bump back to 2.17.6 (again!) after the unplanned 2.17.5.1 release.


========== Version 2.17.5.1 released 2007-01-11 ==========

2007-01-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Bump back to 2.17.5.1, remove elementtree dependency, we don't use it.

2007-01-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Post release version bump


========== Version 2.17.5 released 2007-01-08 ==========

2007-01-08  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* NEWS
	* configure.ac
	Bump version. Update NEWS.


2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* help/C/deskbar.xml:
	* po/POTFILES.in:
	* po/POTFILES.skip:
	Build fixes

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/DeskbarPreferencesUI.py:
	Improve the accelerator entry. Patch by Sebastian Pölsterl.

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/Makefile.am:
	Remove google-live from the Makefile.am

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* data/prefs-dialog.glade:
	* deskbar/Makefile.am:
	* deskbar/ModuleContext.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/ModuleListView.py:
	* deskbar/updater/ErrorDialog.py:
	* deskbar/updater/Makefile.am:
	* deskbar/updater/NewStuffUpdater.py:
	* deskbar/updater/ProgressbarDialog.py:
	Resurrect the new-stuff-manager support. It is optional, and nothing
	changes if the new-stuff-manager isn't available to the user.
	Patch #350165 by Sebastian Pölsterl <marduk@k-d-w.org>

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/DeskbarPreferencesUI.py:
	Prevents binding of keys a-z and shit-a-z. Patch by Sebastian Pölsterl.
	Fixes bug #388486

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/prefs-dialog.glade:
	* deskbar/Keybinder.py:
	Fixes hotkey unbinding. Patch by Manuel Muradas <manuel_muradas@speedy.com.ar>.
	Fixes bug #346749 and a huge number of issues related to hotkey unbinding.

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Utils.py:
	Add opened files to recent manager in GTK 2.10. Patch by Robert Bradford
	<robster@debian.org>. Closes bug #383051.

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fixes bug #382125. Patch by Sebastian Pölsterl <marduk@k-d-w.org>

2007-01-07  Rob Bradford  <rob@robster.org.uk>

	* deskbar/ui/entriac/CuemiacEntryUI.py: close the popup when the
	  focus is taken away (see #367632)

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/Utils.py:
	* deskbar/handlers/desklicious.py:
	* deskbar/handlers/yahoo.py:
	Fixes bug #364602. Patch by Glynn Foster <glynn.foster@sun.com>

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	Fixes bug #358854. Patch by Martin Schanzenbach <mschanzenbach@gmail.com>

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/galago.py:
	Removed unused galago plugins

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	Fix bug #390358. The watcher attribute is checked before being called

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Deskbar_Applet.server.in.in:
	Refresh some of the env variables

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	Fixe bug #388802 . Add a trycatch before parsing aphy history file

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/BrowserMatch.py:
	* deskbar/Utils.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/desklicious.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/recent.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers/yahoo.py:
	* po/POTFILES.in:
	Remove google-live.py from the translatable files.
	Fix bug #388422 and any other bug related gnome.url_show, by showing an
	error box.

2007-01-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/google-live.py:
	Remove the google live handler since they do not offer the api key
	anymore. fixes bug #385258

2007-01-5  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py
	Check if widgetToAlignWith is realized in update_position().
	This should fix bug 336855. PLEASE TEST!

2007-01-2  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/Utils.py:
	Don't return non-executable files found in PATH in is_program_in_path().
	This closes bugs #390369 and #385087. Patch from Sebastian Pölsterl.

2006-12-18  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Fix multiple iterations over same bookmark sets (not user visible).

2006-12-17  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/Match.py:
	* deskbar/handlers/mozilla.py:
	Add support for Firefox 2.0 search engines. I had to use xml.dom.minidom
	to parse the files, and we might as well port the "old" format parser
	to xml.dom.minidom as well (it uses a custom sax-like parser).
	
	I had to add a named parameter "pixbuf" to the Match base class since
	the FF2 search engines contains raw base64 encoded favicons - meaning I 
	couldn't ref to a file using the "icon" parameter in the Match constructor
	as usual.
	
	Needs to be tested with older Firefoxes (I suspect it to work though). 
	
2006-12-03  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	Bump to 2.17.3


========== Version 2.17.3 released 2006-12-03 ==========

2006-12-03  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fix opening file that have been deleted by opening parent dir

2006-12-03  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* .cvsignore:
	* Makefile.am:
	* configure.ac:
	* help/.cvsignore:
	* help/C/deskbar.xml:
	* help/C/legal.xml:
	* help/Makefile.am:
	* help/deskbar.omf.in:
	* m4/.cvsignore:
	Add the gnome-doc-util stuff needed for the user manual. Files are
	tempaltes from the gnome-doc-utils cvs repo.

2006-11-21  Rodrigo Moya <rodrigo@novell.com>

	* deskbar/keybinder/tomboykeybinder.c: added missing header files
	to pass code check tests.

2006-11-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/About.py:
	Close bug #368576, add encoding description to About.py

2006-11-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacItems.py:
	Add translation for categories. the gettext call was missing

2006-11-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Workaround bug #366973, if opening a file fails because it is
	executable or for any other reason, open the parent directory
	instead

2006-11-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* po/POTFILES.in:
	Fixes bug #375987 missing translated file

2006-11-17  Francisco Javier F. Serrador  <serrador@openshine.com>

	* deskbar/ui/cuemiac/CuemiacItems.py: Reverting due to gettext
	lateral error.

2006-11-17  Francisco Javier F. Serrador  <serrador@openshine.com>

	* deskbar/ui/cuemiac/CuemiacItems.py: Fixes #355278 Making 
	strings to appear translated.
	

========== Version 2.17.2 released 2006-11-07 ==========

2006-10-30  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	Fix the closing of popup window with f4 causing a lot of errors because of
	the delete-event being emitted

2006-10-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* data/prefs-dialog.glade:
	* deskbar/BrowserMatch.py:
	* deskbar/DeskbarApplet.py:
	* deskbar/Keybinder.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/web_address.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/cuemiac/LingeringSelectionWindow.py:
	* po/POTFILES.skip:
	bug #353691, disable high-CPU handlers for the default settings
	bug #354953, crash when parsing a non-standard accelerator string
	bug #355573, crash on self.ui when gconf has a weird value in it
	bug #355947, crash on parsing malformed mozilla bookamrks
	bug #356893, crash when a pixmap is None instead of an actual image
	bug #358298, markup in url cause web_address to crash
	bug #359522, crash when gconf isn't used for browser detection code
	bug #359568, crash when dealing with gnomevfs drives==none



2006-10-30  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/google-live.py:
	Fix typo in google-live handler

2006-10-29  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Apply fix for bug 353428. Deskbar fails to open a file with
	national characters in its name.

2006-10-19  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ModuleInstaller.py:
	Remember to return a value from ModuleInstaller.install when installing
	from a local .py file (thanks to Callum McKenzie).

2006-10-19  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/Makefile.am:
	* deskbar/ModuleInstaller.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Merge Sebastian Pölsterls DnD work. It is now possible to drag
	handlers onto the deskbar pref pane to install them. Recognized mime-types:
	
		application/x-bzip-compressed-tar
		application/x-compressed-tar
		application/x-tar
		application/zip
		text/x-python
		
	If you see sebp on #deskbar buy him a beer.

2006-10-12  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	Forward port fix for bug 355687, where we sometimes die
	on middle click pasting.

2006-10-11  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/handlers/recent.py:
	* deskbar/handlers/Makefile.am:
	Add Sebastian Pölsterls recent files handler. Closing bug 339426.

2006-09-28  Wouter Bolsterlee  <wbolster@gnome.org>

	* po/POTFILES.in: Add encoding line.

2006-09-21  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Properly fix #353081 – "crash in Deskbar: Enabling beagle live plu...".
	Show a warning dialog if failing to start beagled.


========== Version 2.16.0 released ==========

2006-09-03  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fixes bug #353902 weird behavior when in the bottom panel in entry mode

2006-09-03  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/About.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Use the correct screen for preferences windows

2006-10-30  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Workaround for bug 359251, print an error on console when it happens

2006-10-30  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	fix for bug 366763, keyboard navigation of history in bottom panel was
	reversed

2006-10-30  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/DeskbarApplet.py:
	* deskbar/handlers/gdmactions.py:
	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	Bump to 2.16.0

	Fix gdmactions' dbus method calls to not throw errors when returning from
	a long sleep. Fixes dbus method call timeout

	Fix positioning bug when the applet is on the right side, by recomputing
	the position and size of the popup window after a resize-event

	Fix the confusion between a method called self.clear_entry and an
	attribute miscalled self.clear_entry

	Attempt to fix the color of the result list by changing the wm hint. Works
	only for some themes.

	Fix a critical warning happening when displaying result list or pressing
	enter on an empty entry

2006-08-30  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	Trivial fix to warning from the button ui.
	History view was added twice to the history-popup.

2006-08-29  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fix bug #352541 beagle-live handler having trouble finding escaped_uri in
	the result dictionary caused an exception to be thrown

2006-08-29  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Bump to 2.15.93
	Fix the width_units problem in bug #352874

2006-08-29  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/prefs-dialog.glade:
	* deskbar/Utils.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/programs.py:
	Fixify the preferences dialog, to be prettier (align the note:blabla and
	more button)
	Move path expansion and program search in Utils, update programs.py.
	In beagle-live, check if we can find beagled in $PATH before offering to
	launch the daemon by ourselves.


========== Version 2.15.92.1 released ==========

2006-08-28  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fix #352595. The "text" was never added to the result dict.
	It appears we have some problems in the locale handling
	of beagle live though.

2006-08-27  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* po/LINGUAS:
	Resolve comitted conflict

2006-08-26  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	If the use_selection gconf key was set, the entriac would paste
	the primary selection to the entry on left mouse click. This
	should only happen on keyboard shortcut activation.
	Move use_selection logic to DeskbarApplet.
	This patch was based on work by Sebastian Pölsterl <marduk@k-d-w.org>.
	This closes #346348 and #352595.

2006-08-24  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/DeskbarPreferencesUI.py:
	Fix #352593 – AccelEntry doesn't set old value if it looses focus.
	Patch courtesy Sebastian Pölsterl <marduk@k-d-w.org>.

========== Version 2.15.92 released ==========

2006-08-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Runtime fixes before release

2006-08-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	Select text when in 'don't delete mode'

2006-10-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Utils.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle-static.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/web_address.py:
	bug #360356, bug #353081, Crash when launching nonexistent program

2006-10-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarAppletPreferences.py:
	* deskbar/__init__.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fixes bug #352007, add a hidden gconf pref to clear the entry after a
	match has been selected. Patch by Sebastian Pölsterl <marduk@k-d-w.org>

2006-08-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Deskbar_Applet.server.in.in:
	* deskbar/gtkexcepthook.py:
	Add support for new bug-buddy in server file and in the exception hook
	show both bug buddy, and our normal error dialog. Patch by Rob Bradford
	<robster@debian.org>

2006-08-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbar-applet.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	Fix bug #352005, less than two characters won't trigger the action with
	enter

	Add trace framework with -t to trace the program execution

2006-08-22  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacAppletButton.py:
	Fix #351504 "Applet background having different gray than panel".
	set_visible_window(False) on the event box of the button.
	Fix courtesy Sebastian Pölsterl.

2006-08-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Makefile.am:
	* data/deskbar-applet.desktop.in.in:
	Reöove installation of .desktop file

2006-08-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/About.py:
	Close the About dialog when clicking on close

2006-08-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/16x16/deskbar-applet.png:
	* data/art/16x16/deskbar-applet.svg:
	* data/art/22x22/deskbar-applet.png:
	* data/art/22x22/deskbar-applet.svg:
	* data/art/32x32/deskbar-applet.png:
	* data/art/32x32/deskbar-applet.svg:
	* data/art/Makefile.am:
	* data/art/deskbar-applet-panel-h.png:
	* data/art/deskbar-applet-panel-h.svg:
	* data/art/deskbar-applet-panel-v.png:
	* data/art/deskbar-applet-panel-v.svg:
	* data/art/deskbar-applet-small.png:
	* data/art/deskbar-applet.png:
	* data/art/deskbar-applet.svg:
	* data/art/scalable/deskbar-applet.png:
	* data/art/scalable/deskbar-applet.svg:
	* data/deskbar-applet.desktop.in.in:
	* deskbar/BrowserMatch.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/ui/About.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	Add new tango-style icons at various sizes made by Lapo Calamandrei <calamandrei@gmail.com>

2006-08-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Fix the non-detection of gtk bookmarks starting like file:///something

2006-08-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Bump requirements for libebook to 1.7.91 since changes have been made to
	EContactPhoto

2006-08-09  Mikkel Kamstrup Erlandsen,,,  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/LingeringSelectionWindow.py:
	Selecting a two-line match (fx. a beagle news item) caused
	the lingering selection window two stay at the two-line size,
	with a gray border around ordinary one-line hits.
	Fix this - so that it resizes to fit the match.
	

2006-08-08  Nigel Tao  <nigeltao@cvs.gnome.org>

	* configure.ac:
	Post release bump to 2.15.92

========== Version 2.15.91 released ==========

2006-08-07  Nigel Tao  <nigeltao@cvs.gnome.org>

	* configure.ac:
	* data/prefs-dialog.glade:
	* deskbar/Makefile.am:
	* deskbar/ModuleContext.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/ModuleListView.py:
	* deskbar/updater/*:
	* deskbar/updater/specs/*:
	* po/POTFILES.in:
	Took out the new-stuff-manager code, since it won't be 100% ready by the
	2.16 release.  Hopefully it will come back in time for 2.18.

2006-08-02  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Respect themes in the result view. This closes #338776.

2006-08-02  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Respect themes in the result view. This closes #338776.

2006-07-30  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/handlers/iswitch-window.py:
	Almost fix window switcher handler in button mode. There still
	seem to be unreproducible glitches occationally, where the
	window is brought to the front, but not focussed. It works most
	of the time though.
	
	This closes #338828.
	
	I found a valuable hint here:
	http://mail.gnome.org/archives/metacity-devel-list/2006-July/msg00039.html

2006-07-30  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/DeskbarPreferencesUI.py:
	Fix #348154, "More button in preferences isn't set insensitive".

2006-07-26  Elijah Newren  <newren gmail com>

	* configure.ac:
	Post release bump to 2.15.91

========== Version 2.15.90.1 released ==========

2006-07-26  Elijah Newren  <newren gmail com>

	* NEWS:
	* configure.ac:
	2.15.90.1 release

2006-07-26  Elijah Newren  <newren gmail com>

	* deskbar/evolution/evolution.c: patch from Frederic Peters to
	handle e-d-s changes to the EContactPhoto struct.  Patch approved
	by Nigel on d-d-l and given the stamp of approval from Ross in
	bugzilla.  #347988.

2006-07-24  Nigel Tao  <nigeltao@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	Post release bump


========== Version 2.15.90 released ==========

2006-07-20  Nigel Tao  <nigeltao@cvs.gnome.org>

	* configure.ac:
	Now checks for the elementtree Python package (as needed by the
	NewStuffManager).

2006-07-19  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ModuleLoader.py:
	* deskbar/handlers/beagle-live.py:
	Add a check in ModuleLoader.initialize_module(context)
	to see if we meet the any given requirements for the module
	before initializing. This should clean up a few exceptions
	on start-up.
	In Beagle-Live properly check if beagled is running via
	beagle.beagle_util_daemon_is_running(). If beagled is not
	running display an option to start it (via a standard "more"
	button in the module list view).

2006-07-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	Post release bump


========== Version 2.15.4 released ==========

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Makefile.am:
	* deskbar/DeskbarAppletPreferences.py:
	* deskbar/__init__.py:
	* deskbar/handlers/web_address.py:
	Various build and error fixes due to last commits

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* data/prefs-dialog.glade:
	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	* deskbar/updater/ErrorDialog.py:
	Add ErrorDialog for updater.
	Add preference to paste seection when triggering hotkey (work in progress)

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/.cvsignore:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/cuemiac/CuemiacEntry.py:
	* deskbar/updater/Makefile.am:
	* deskbar/updater/NewStuffUpdater.py:
	* deskbar/updater/ProgressbarDialog.py:
	* deskbar/updater/new-stuff-manager:
	* po/POTFILES.in:
	* po/POTFILES.skip:
	Update the new stuff updater with lates Sebastian's patch. Fix some
	errors, and add translatable stuff

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/web_address.py:
	* deskbar/ui/cuemiac/CuemiacAppletButton.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fix glitches in merging of handlers.
	Fix epiphany parsing of non-latin1 hrefs in bookmarks
	Add tooltips to translation

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	Tweak sorting of program handlers

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Correctly handle uri and identifier by not escaping them

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Highlight search string in beagle imlogviewer

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/gpm-suspend-to-disk.png:
	* data/art/gpm-suspend-to-ram.png:
	* deskbar/handlers/files.py:
	* deskbar/handlers/gdmactions.py:
	Add g-p-m and g-screensaver support in gdmactions.

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/gdmactions.py:
	* deskbar/handlers/mozilla.py:
	* po/POTFILES.in:
	Add gdmactions handler, mark for translation
	Default to cuemiac UI
	Fix mozilla handler when the parsing doesn't detect a href (bug #345549)

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/folder-bookmark.png:
	* data/deskbar-applet.schemas.in:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/web_address.py:
	Restore folder-bookmarks.png icon deleted by accident.
	Merge web_Address and email_address.
	Merge programs and Pathprograms.
	Update handler list for default gconf config

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/.cvsignore:
	* data/art/Makefile.am:
	* data/art/folder-bookmark.png:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/files.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/volumes.py:
	* deskbar/ui/window/.cvsignore:
	Merge volumes, gtkbookmarks and files handlers

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Categories.py:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/iswitch-window.py:
	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	* deskbar/ui/cuemiac/CuemiacItems.py:
	* deskbar/ui/cuemiac/CuemiacModel.py:
	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	Remove nesting for matches and update all
	Add categories

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Correctly detect mozilla profile. Patch by Jonathan Doda <jdodo@sympatico.ca>

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/desklicious.py:
	import gconf

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* po/POTFILES.in:
	Add translatable files

2006-07-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* INSTALL:
	* data/deskbar-applet.schemas.in:
	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarAppletPreferences.py:
	* deskbar/__init__.py:
	* deskbar/gdmclient/.cvsignore:
	* po/.cvsignore:
	Add some ignore files.
	Add a gconf key to set delay between writing something in search entry and
	performing the search.

2006-07-08  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	Fix #346760:
	"Text in text entry from previous use is not highlighted when entry is brought up".
	

2006-07-08  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/handlers/desklicious.py:
	Remove gconf dependancy from desklicious handler.
	The only place we explicitely used gconf was for a single
	"value.type == gconf.VALUE_STRING", I removed this validation
	instead of importing the entire gconf module (it would have been
	the only handler using it directly).
	This closes #346582.

2006-07-07  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/iswitch-window.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers/yahoo.py:
	Patch by Travis B. Hartwell <nafai@travishartwell.net> for
	bug #346813 – "All handlers don't explicitly import deskbar.Match".

2006-07-05  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	Keep the window above others when 
	/apps/metacity/general/disable_workarounds is False.
	(it only worked for True).

2006-07-05  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* configure.ac:
	* data/Makefile.am:
	* data/deskbar-applet.desktop.in.in:
	* deskbar/DeskbarApplet.py:
	* deskbar/__init__.py:
	* deskbar/deskbar-applet.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/Makefile.am:
	* deskbar/ui/window/CuemiacWindowUI.py:
	* deskbar/ui/window/Makefile.am:
	* deskbar/ui/window/__init__.py:
	Add window mode. You can launch it with -p or --popup.
	You need to regenerate deskbar/deskbar-applet.
	This work is mostly due to Sebastian Pölsterl.
	Things that obviously needs fixing:
		- Cannot gain focus on shortcut after first show.
		- UI polish.

2006-07-01  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	Fix middle-click paste.

2006-06-30  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* configure.ac:
	* deskbar/DeskbarApplet.py:
	Remove obsolete warning on configure.ac
	Cleanup the middle-click explanation of the middle click bug

2006-10-30  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	* deskbar/ui/cuemiac/CuemiacAppletButton.py:
	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	* deskbar/ui/cuemiac/CuemiacEntry.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	Do proper popup positioning when the gconf key
	/apps/metacity/general/disable_workarounds is TRUE.
	This required setting the gtk.gdk.WINDOW_TYPE_HINT_MENU
	on the popup. This fixes bug #335243.
	
	Re-enable + and ' for expand collapse in the tree.
	
	Only recalculate the popup postion when the window is hidden,
	and don't update_position() on resize events in 
	CuemiacAlignedWindow (see fixme on line 34).
	
	Make the history popup of the button ui behave as a normal
	popup with regards to focus loss. Normal result popup is still
	toggle-style.

2006-06-28  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/entriac/CuemiacEntryUI.py:
	We duplicated the event handling for the applet
	when the icon is right clicked in the entriac.
	This caused an extra 1 pixel popup stealing the xgrab.
	Fix this.

2006-06-28  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	Make popup sticky in button mode. This closes #333371.
	This can easily be backported to 2.14. We just need to call
	gtk.Window.stick() and gtk.Window.unstick() just before we show/hide
	the popup.

2006-06-26  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	* deskbar/ui/cuemiac/CuemiacHeader.py:
	* deskbar/ui/cuemiac/Makefile.am:
	Introduce CuemiacHeader and make button ui use it.
	Basically it is just a colored frame around the search entry. 

2006-06-26  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/Handler.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	SignallingHandler did not remove the gobject source
	on stop_query(). It does now. This should close #344049 and #344045.
	Make sure entriac emits a "stop-query" when the popup is hidden.
	CuemiacUIManager did not set proper path and column for the "row-acivated"
	signal on the treeview, in on_entry_activated, this caused trouble for
	the LingeringSelection. Fix this.
	

2006-06-26  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacHistory.py:
	* deskbar/ui/cuemiac/CuemiacLayoutProvider.py:
	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Make CuemiacHistory.CuemiacHistoryPopup use xgrab logic for
	focus handling.
	Let CuemiacEntryUI use this new history popup.
	NOTE: Keyboard navigation is broken in the history popup. This is
	      related to the old #326254 bug. I think we have to add a
	      a keyboard navigation model our selves as we did for CuemiacTreeView.
	Rip focus logic out of CuemiacUIManager and CuemiacLayoutProvider - 
	it was broken and no widgets where using it anyway.
	Remove realization of the view from CuemiacPopupEntry.popup().

2006-06-19  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacLayoutProvider.py:
	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fix: Entriac not able to navigate properly in applet mode.
	Fix: Match selection with mouse in entriac.
	General code cleanup and lots of bug fixing.
	History is still bugged in entriac mode - it will be fixed
	once i apply the xgrab trick to it also.
	
	
2006-06-15  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacModel.py:
	Add a one-line hack to remove nesting as an experiment.
	This can be considered an attempt to solve #332100.
	If we decide this is OK, we should clean up the categories,
	and add a few more (and properly remove nesting ofcourse).
	If you dislike this patch send complaints to kikidonk ;-P

2006-06-13  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	* deskbar/updater/Makefile.am:
	* po/POTFILES.in:
	Post-release Bump

========== Version 2.15.3 released ==========

2006-06-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* AUTHORS:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/updater/Makefile.am:
	* deskbar/updater/NewStuffUpdater.py:
	* deskbar/updater/ProgressbarDialog.py:
	* deskbar/updater/new-stuff-manager:
	Add Sebastian Pölsterl <marduk@k-d-w.org> to the AUTHORS, since he did so
	much work for us lately.

	Applied his patch for the new-stuff-manager to use a progressdialog (the
	API and UI aren't definitive, but we just want to show what we got)

	Add support for zip-archives from web-repo

2006-06-12  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacLayoutProvider.py:
	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	* deskbar/ui/cuemiac/LingeringSelectionWindow.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fix CuemiacPopupEntry navigation with an evil hack.
	The hack is encapsulated in the method CuemiacTreeView.move_cursor_up_down.
	
	Loads of general polish to the cuemiac stack.
	I think the history popup is still broken a bit. I plan
	to make it use some xgrab magic (like the popupentry).
	
	Don't popup a lingering selection when we activate something
	that has children in the treeview.
	

2006-06-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/Makefile.am:
	Add all files from cuemiac to makefile

2006-06-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ModuleContext.py:
	* deskbar/ModuleList.py:
	* deskbar/ModuleLoader.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle-static.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/desklicious.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/history.py:
	* deskbar/handlers/iswitch-window.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers/yahoo.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/ModuleListView.py:
	* deskbar/updater/NewStuffUpdater.py:
	* deskbar/updater/new-stuff-manager:
	* deskbar/updater/specs/deskbarapplet.py:
	Moved repository to the official website repository, added more tesing
	modules to the remote repository.

	Fix updates, they should work really well.

	Add version information to every handler we ship in the core package
	(although we may move some handlers to the web-repo later on)

	Allow the downloader to handle compressed tarballs as well as single-file
	python scripts

	Add the downloader feature. There is a second tab presenting available
	handlers that you don't have already installed, you can choose one of
	them, and install it. It will be downloaded and unpacked in the deskbar
	user directory.

	Normally every action should require no restart or anything, the buttons
	should be sensitive when possible, the plugins should be unloaded/reloaded
	without problems, etc. Anything else is a big.

	This needs heavy love, and probably an UI discussion..

2006-06-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* data/prefs-dialog.glade:
	* deskbar/Makefile.am:
	* deskbar/ModuleContext.py:
	* deskbar/ModuleList.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/ModuleListView.py:
	* deskbar/updater/.cvsignore:
	* deskbar/updater/Makefile.am:
	* deskbar/updater/NewStuffUpdater.py:
	* deskbar/updater/new-stuff-manager:
	* deskbar/updater/org.gnome.NewStuffManager.service.in:
	* deskbar/updater/specs/.cvsignore:
	* deskbar/updater/specs/Makefile.am:
	* deskbar/updater/specs/deskbarapplet.py:
	Introduction of the plugin updater/downloader, so it will be possible to
	update and download new plugins from internet, right in deskbar.

	Current commit includes build system patches (with dbus dependency, if
	someone can't build because of that, it can be made optional, but no
	updater)

	Also included is first raw patch for updates to work in the preference
	panel. It is not possible to download new handlers at the moment.

	The plugin updater is generic and can be hopefully made useful in some
	ways for other applications using python or non-compiled files, like
	gedit, rhythmbox, epiphany, gnumeric, the theme/icons/metacity dialog, etc

2006-06-10  Mikkel Kamstrup Erlandsen   <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacEntry.py:
	
	Woops, forgot the new CuemiacEntry in the last commit.
	It is a new class that encapsulates the icon entry functionality
	we need for the Cuemiac.

2006-06-10  Mikkel Kamstrup Erlandsen  <kamstrup@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	* deskbar/ui/cuemiac/CuemiacAppletButton.py:
	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	* deskbar/ui/cuemiac/CuemiacLayoutProvider.py:
	* deskbar/ui/cuemiac/CuemiacPopupEntry.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/cuemiac/CuemiacUIManager.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	* deskbar/ui/cuemiac/LingeringSelectionWindow.py:
	* deskbar/ui/cuemiac/Makefile.am:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	
	WARNING: Breakage introduced as agreed on IRC. Mainly in entriac ui.
	
	Merge the Cuemiac rework. Highlights:
	- Introduce a CuemiacUIManager to handle the common tasks for uis using the C.
	- Introduce a CuemiacLayoutProvider abstract class to provide hooks for the
	  common layout tasks.
	- Introductory work on a CuemiacPopupEntry in the style of gtk.EntryCompletion,
	  problems in the navigational model relating to bug #326254 breaks entriac ui.
	- Add a LingeringSelectionWindow that leaves a "shadow" behind when a match
	  is selected. See fixme in CuemiacTreeView.__on_button_press.

2006-05-31  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarAppletPreferences.py:
	* deskbar/__init__.py:
	Add a hidden gconf setting to set the minimal number of chars to type
	before deskbar starts to react. Defaults to 1 as previsouly used.
	Patch by Maxime Henrion <mux@FreeBSD.org>

2006-05-31  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/gdmclient/.cvsignore:
	* deskbar/gdmclient/Makefile.am:
	* deskbar/gdmclient/__init__.py:
	* deskbar/gdmclient/_gdmclient.defs:
	* deskbar/gdmclient/_gdmclient.override:
	* deskbar/gdmclient/_gdmclientmodule.c: (init_gdmclient):
	* deskbar/gdmclient/gdm-logout-action.c: (gdm_send_protocol_msg),
	(get_display_number), (gdm_authenticate_connection),
	(gdm_shutdown_protocol_connection), (gdm_init_protocol_connection),
	(gdm_parse_query_response), (gdm_update_logout_actions),
	(gdm_supports_logout_action), (gdm_get_logout_action),
	(gdm_set_logout_action), (gdm_new_login):
	* deskbar/gdmclient/gdm-logout-action.h:
	Import the gdmclient module from gimmie. It will be used for the
	shutdown/restart actions handler

2006-05-31  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/pathprograms.py:
	Fix the hashing of programs so they won't show pathprograms and programs
	duplicate

2006-05-19  Alexander Shopov  <ash@contact.bg>

	* deskbar/handlers/desklicious.py:
	Fixed a small typo.

2006-05-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Post release Bump


========== Version 2.15.2 released ==========

2006-05-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	Fixes error when clicking an empty space. Fixes bug #338238

2006-05-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/BrowserMatch.py:
	Fixes error when pressing alt+enter, bug #341417•

2006-05-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Fix the configuration file parsing that produced an error in some cases.
	Fixes bug 341101 by P. Oscar Boykin.

2006-04-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	* data/art/Makefile.am:
	Post Release Bump from 2.15.1


========== Version 2.15.1 released ==========

2006-04-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	Correctly revert transparency when switching from transparent to opaque.
	Patch by Johan Svedberg <johan@svedberg.com>

2006-04-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/prefs-dialog.glade:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Implement a new widget to select the accelerator, providing also
	validation in real time. Patch by Sebastian Pölsterl <marduk@k-d-w.org>

2006-04-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Utils.py:
	* deskbar/handlers/desklicious.py:
	Fix some errors in desklicious, add a html entities decoder

2006-04-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/yahoo.py:
	Tidy up the yahoo handler

2006-04-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/delicious.png:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/desklicious.py:
	Add the del.icio.us handler merged from two sources. Thanks to Stuart
	Langridge and Francisco Jesús Jordano Jiménez

2006-04-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/galeon.py:
	Fix the possible bug when no connection is available when parsing galeon
	xml file

2006-04-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	possible epiphany parsing fix for favicon cache

2006-04-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/Match.py:
	* deskbar/handlers/programs.py:
	* po/LINGUAS:
	Fix the broken LINGUAS patch.
	Fix the skip_history() method to have a self argument

2006-04-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	* deskbar/Match.py:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/iswitch-window.py:
	New handler by Travis B. Hartwell <nafai@travishartwell.net>
	Add the skip_history() method to matches API, and allow None to be
	returned from serialize.

	This handler allows to switch between windows by typing part of their
	name/titles

2006-04-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Correctly handle multiple profiles in mozilla/ff.
	Patch by  Michael Hofmann <mh21@piware.de>

2006-04-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/BrowserMatch.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/ui/cuemiac/Makefile.am:
	Don't fail if we have parameters in the web browser symlink
	Add missing files in build system
	Repair ephy and mozilla handler to correctly accept the dialog in the
	callback for preferences

2006-04-14  Ignacio Vazquez-Abrams  <ivazquez@ivazquez.net>

	* data/deskbar-applet.pc.in:
	Added artdir to the pkgconfig file.

	* deskbar/handlers/beagle-static.py:
	Better detection of Beagle .desktop files (e.g. now works on Fedora).

2006-04-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fixes for transparency, nothing major

2006-04-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/prefs-dialog.glade:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Fix again the keyboard shortcut preference UI

2006-04-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacAppletButton.py:
	* deskbar/ui/cuemiac/CuemiacButtonUI.py:
	* deskbar/ui/cuemiac/CuemiacItems.py:
	* deskbar/ui/cuemiac/CuemiacModel.py:
	* deskbar/ui/cuemiac/CuemiacTreeView.py:
	* deskbar/ui/cuemiac/Makefile.am:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	* po/.cvsignore:
	Refactoring the Cuemiac part 1, splitting of files

2006-04-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/deskbar-applet.svg:
	* deskbar/DeskbarApplet.py:
	* deskbar/deskbar-applet.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Use the new icon theme specifications.
	Patch by Sebastian Pölsterl <marduk@k-d-w.org>

2006-04-10  Brian Pepple  <bdpepple@gmail.com>

	* po/LINGUAS: New file listing all supported languages.
	* configure.in:
	Use po/LINGUAS instead of including all languages directly in
	this file. See the wiki for more information:
	http://live.gnome.org/GnomeGoals/PoLinguas
                                   
2006-04-10  Nigel Tao  <nigel.tao@myrealbox.com>

	* deskbar/ui/About.py:
	Updated copyright year to 2006.

2006-04-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/DeskbarPreferencesUI.py:
	Repair the keybinding-verifier.

2006-04-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/DeskbarPreferencesUI.py:
	Warn the user when the keybinding is not formatted properly
	Patch by Sebastian Pölsterl <marduk@k-d-w.org>

2006-04-09  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/DeskbarHistory.py:
	History order was reversed each time the applet was removed/added to a top panel.
	Fix that (bug #337782).

2006-04-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	Fixes typo in the if statement preventing duplicate detection to work
	properly

2006-04-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	Repair the no-history not appearing when history.pickle was not present

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	* deskbar/handlers/programs.py:
	Add devhelp handler
	Clean prints in history

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/galeon.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Add transparency to Cuemiac mode
	Patch by  Joachim Breitner <mail@joachim-breitner.de>

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/galeon.py:
	Implement galeon nicknames in the search handler. Patch by  Joachim
	Breitner <mail@joachim-breitner.de>

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fix the history order, and update order when switching form bottom to top
	panel

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Change the contact label to say what we really do, open the contact editor
	in evolution

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Handler.py:
	* deskbar/Match.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	Implement a is_valid method to ask a match if it's still valid, to
	evaluate if it should be stored in history

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/BrowserMatch.py:
	Follow symlinks to detect the browser

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix error if last_visible_path iter is None

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	Fix duplication of items in deskbar history list

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/epiphany-history.png:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/mozilla.py:
	Use the history icon when displaying history items and bookmark when
	displaying bookmarks

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Don't throw errors if an unknown beagle type is encountered

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Categories.py:
	* deskbar/handlers/beagle-live.py:
	Classify emails and conversations in separate categories.
	Patch by Alejandro Vera <alejandro.vera@gmail.com>

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Utils.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/google-live.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Pass the preferences dialog to the "more" callback to allow info dialogs
	to be transient

2006-04-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Correctly use imlogviewer passing client name to it

2006-04-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Bump up the python required version to 2.4

2006-04-06  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fix bug #335367. Activate the bottom hit of the view when the cuem/entr-iac
    is at a bottom panel.


2006-04-06  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

    * deskbar/ui/cuemiac/Cuemiac.py:
    * deskbar/ui/entriac/CuemiacEntryUI.py:
    Fix bug #335446 where deskbar crashes when the user hits up/down
    immediately after entering some text.
    This is done by adding a CuemiacView.is_ready() method that returns
    True when the view is ready for user interaction.

2006-04-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Implement mozilla/firefox history search, only the url, since history
	format is braindead. Patch by Flavio Gargiulo <flagar@gmail.com>

2006-04-05  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle-static.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Import fixes

2006-04-05  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* data/deskbar-applet.schemas.in:
	* deskbar/DeskbarApplet.py:
	* deskbar/__init__.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/Makefile.am:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/completion/Makefile.am:
	Get rid of completion UI, now we require Cairo with pygtk.

2006-03-28  Rhys Jones  <rhys@sucs.org>

	* configure.ac: Added "cy" (Welsh) to ALL_LINGUAS.

2006-03-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/google-live.py:
	Fixes the proxy detection code for google-live. Patch by Sebastian Dröge <mail@slomosnail.de>

2006-03-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	Fix entry in button mode placement for vertical panels
	Patch by Joachim Breitner <joachim@breitner.de>
	Fixes bug #334492

2006-03-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/mozilla-search.glade:
	* data/prefs-dialog.glade:
	HIG-ify some dialogs. Patch by Christian Persch <chpe@gnome.org>

2006-03-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbar-applet.py:
	Fix for people that haven't locale/gettext.bind_textdomain_codeset

2006-03-13  Runa Bhattacharjee <runa@bengalinux.org>
	* configure.ac: Added Entry for Bengali (bn) in ALL_LINGUAS.

========== Version 2.14.0 released ==========

2006-03-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	Post release bump 2.14 is out, yay !

2006-03-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbar-applet.py:
	Fix problems when using a latin locale with bonobo crashing.
	Fixes bug #332545

2006-03-11  Duarte Loreto <happyguy_pt@hotmail.com>

	* configure.ac: Added Portuguese (pt) to ALL_LINGUAS.

2006-03-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	Fix handling of problematic desktop files with try/catch,
	fixes bug #334149

2006-03-08  Ole Laursen  <olau@hardworking.dk>

	* configure.ac: Added "da" (Danish) to ALL_LINGUAS.

2006-03-07  Alessio Frusciante  <algol@firenze.linux.it>

	* configure.ac: Added "it" (Italian) to ALL_LINGUAS.

2006-03-03  Rajesh Ranjan <rranjan@redhat.com>

	* configure.ac: Added hi (Hindi) to ALL_LINGUAS

2006-03-05  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Don't display a whit popup when there are no results to display

2006-03-05  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Repair a problem appeared with previous commit in beagle-live.py

2006-03-05  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/files.py:
	Change gnome-open calls to gnome.url_show calls

2006-03-05  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Repair middle-click. Now you have to use double-middle click to paste text
	so that middle click works as usual for applets.

2006-03-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	Repair middle-click move on button mode. If middle-click cliboard is empty
	the applet will move, else it will popup with pasted text.

2006-03-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/files.py:
	* deskbar/handlers/mozilla.py:
	Add failsafe to mozilla/firefox single/multi-engines detection code
	Remove a print statement in files.py

2006-03-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Fix the file and folder handler to correctly return non-lowercase paths.
	Fix so that entering ~ or ~/ correctly returns home dir as a match

2006-03-02  Maxim Dziumanenko <mvd@mylinux.ua>

	* configure.ac: Added uk (Ukrainian) to ALL_LINGUAS

2006-03-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Hide all UI parts before switching the UI. Avoids things like: in button
	view open the popup, change the UI in the prefs, now you have two entries
	floating around.

2006-03-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	* deskbar/ui/EntryHistoryManager.py:
	Fix the bug #333024, history was broken.

2006-03-01  Vladimer SIchinava <vlsichinava@gmail.com>

        * configure.ac: Added ka (Georgian) to ALL_LINGUAS


2006-03-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/mozilla-search.glade:
	* data/prefs-dialog.glade:
	* data/smart-bookmarks.glade:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Make the prefs dialog non-modal, fixes bug #332940

2006-03-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/galeon.py:
	Fix Galeon handler to use history2.xml file

2006-03-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Re-fix bug #332141, error when hitting enter before any matches appear

2006-03-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fix detection and handling of beagle daemon/python bindings.
	Fixes bug #332891

2006-03-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/beagle-static.py:
	* deskbar/handlers/beagle.py:
	Post release bump
	Rename beagle.py to beagle-static.py to not confuse the python module
	loader


========== Version 2.13.92 released ==========

2006-02-26  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	* po/POTFILES.in:
	* po/POTFILES.skip:
	Add the forgotten mozilla-prefs.glade file to translatable files
	Enable some non-translated strings, translatable in next gnome cycle.

2006-02-26  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/files.py:
	Revert the bug #332470, too slow to index and search.

2006-02-25  Artur Flinta  <aflinta@cvs.gnome.org>

	* configure.ac: Added pl to ALL_LINGUAS.

2006-02-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/files.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	Fixes bug #332418, now we use EventBoxes instead of ToggleButton, reducing
	the needed panel vertical space

	Fixes bug #332470, index up to 4 level deep the home directory's files and
	folders in a separate thread

2006-02-24  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>
 
 	* deskbar/handlers/mozilla.py:
 	Fix broken reference to "max". Use deskbar.DEFAULT_RESULTS_PER_HANDLER instead.
 
2006-02-24  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/handlers/beagle-live.py:
	Don't import beagle each time we need it. Only when loading the module. This wastly increases
	beagle-live performance.
	
2006-02-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/yahoo.py:
	Fix yahoo for new query API

2006-02-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Back out new string for string freeze

2006-02-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/entriac/DeskbarEntryUI.py:
	Fixes the applet not remembering 'take all available space on panel'
	setting on startup
	
2006-02-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/Handler.py:
	* deskbar/__init__.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/history.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers/yahoo.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	API change: removed the 'max' argument to the Handler.query() method. The
	handlers can now return any number of mathes or use the hardwired
	deskbar.DEFAULT_RESULTS_PER_HANDLER variable to trim the results.
	Fixes bug #331884

2006-02-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/completion/CompletionDeskbarUI.py:
	Fix bug #332080, empty history borking completion UI

2006-02-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ModuleLoader.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	Revert String freeze break
	Check if a directory exists before trying to load modules in it

2006-02-19  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/Handler.py:
	* deskbar/handlers/beagle-live.py:
	Add a set_delay(timeout) method to SignallingHandler, and make beagle-live use it.
	We where spawning beagle-queries galore, which was quite noticable performance wise.
	Each (signalling) handler can now individually decide how long they will wait for 
	query changes before starting.

2006-02-19  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ModuleLoader.py:
	* deskbar/__init__.py:
	* deskbar/handlers/files.py:
	Really fix duplicate module loading
	Return URIS in file and folder handler to correctly detect duplicates

2006-02-19  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Add a 'No History' item in the history dropdown when there is no history.
	Not active yet since not in	POTFILES.in

2006-02-19  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Implement single-click selection for history and cuemiac dropdown.
	Add focus-follow-pointer for history dropdown

	Add tooltips on entry icon and toggle buttons. Not active yet since not in
	POTFILES.in

2006-02-18  Benoît Dejean  <benoit@placenet.org>

	* configure.ac: Added French translation.

2006-02-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Deskbar_Applet.xml:
	* deskbar/Categories.py:
	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarHistory.py:
	* deskbar/ModuleLoader.py:
	Add a "Clear History" button in the applet menu

2006-02-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* deskbar/osutils/_osutilsmodule.c: (osutils_set_process_name):
	Fix wrong exception raising in C code of set_process_name for people who
	don't have prctl

2006-02-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	POST-Release bump


========== Version 2.13.91 released ==========

2006-02-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Fix middle click on entry icon in entriac

06-02-14  Mikkel Kamstrup Erlandsen <kamstrup@daimi.au.dk>

	* deskbar/handlers/beagle-live.py:
	Use hit.get_properties(key)[0] instead of hit.get_one_property(key).
	This works around the beagle-firefox-history-dc:title-bug mentioned in #330053

2006-02-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	Update default handler and order

2006-02-13  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Try to implement correct oredering of the history popup.
	Unfortunately this triggers a segfault in GTK. Investigating

2006-02-13  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Toggle the history popup in entriac view
	

2006-02-13  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Makefile.am:
	* data/deskbar-applet.schemas.in:
	* deskbar/handlers/mozilla.py:
	Allow firefox to select wether to display one or all search engines

06-02-13  Mikkel Kamstrup Erlandsen <kamstrup@daimi.au.dk>

	* deskbar/handlers/beagle-live.py:
	Fix FeedItem "extra" field duplication. Introduce a new serialization warning, but it work snow :)

06-02-13  Mikkel Kamstrup Erlandsen <kamstrup@daimi.au.dk>

	* deskbar/handlers/beagle-live.py:
	Beautify WebHistory results.

2006-02-13  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Toggle the history popup in entriac view

2006-02-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	Fix the history items multiplication when history was loaded.
	Fixes bug #330756

2006-02-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Utils.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/yahoo.py:
	Strip html tags from results of google and yahoo handlers.
	Fixes bug #330755

2006-02-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/osutils/_osutilsmodule.c: (osutils_set_process_name):
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix osutils by checking PR_SET_NAME declaration. Fixes bug #330707

2006-02-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	Xinerama fixes, partially untested.
	Courtesy of Davyd Madeley <davyd@madeley.id.au>


2006-02-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/deskbar-applet.py:
	* deskbar/osutils/.cvsignore:
	* deskbar/osutils/Makefile.am:
	* deskbar/osutils/__init__.py:
	* deskbar/osutils/_osutilsmodule.c: (init_osutils),
	(osutils_set_process_name):
	Allow to 'killall deskbar-applet' without taking down other python
	processes. Courtesy of Davyd Madeley <davyd@madeley.id.au>

2006-02-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/ui/Makefile.am:

2006-02-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* data/prefs-dialog.glade:
	* deskbar/DeskbarApplet.py:
	* deskbar/__init__.py:
	* deskbar/deskbar-applet.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Properly code the entriac in the preferences, gconf and backend.
	People without cairo will fallback on completion UI

2006-02-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	* deskbar/ui/entriac/.cvsignore:
	* deskbar/ui/entriac/CuemiacEntryUI.py:
	Merge the new Cuemiac entry-in-panel mode.
	Hack-wired for the moment, will chnge that soon

2006-02-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Categories.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Uses the threshold number, set the websearch threshold to 0

2006-02-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/history.py:
	Fix infinte recursion in the lambda

2006-02-08  Mikkel Kamstrup Erlandsen <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	Don't clear the cuemiac model on alt-f3 popup. This was caused by the entry having its
	text selected by a grab_focus() just before calling show_entry(time) from recieve_focus().

2006-02-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Fix build when no X connection is available, fixes bug #330013

2006-02-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* configure.ac:
	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarHistory.py:
	* deskbar/Match.py:
	* deskbar/handlers/history.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Repair history mode and remove some hacks.

2006-02-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Repair the greek translation b0rkage, fixes #330322

2006-02-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Utils.py:
	* deskbar/__init__.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix the applet resizing itself every time the icon in the entry is changed

2006-02-08  Mikkel Kamstrup Erlandsen <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Use "row-activated" signals to trigger match selection in history and main views.
	Don't emit a "key-press-event" signal from a signal handler of said signal in CuemiacHistoryPopup (DOH!)

2006-02-07  Kostas Papadimas  <pkst@gnome.org>

        * configure.ac: add "el" to ALL_LINGUAS.. 

2006-02-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* deskbar/ui/completion/DeskbarEntry.py:
	Fixes bug #330103 icon in entry clips after a query

2006-02-06  Mikkel Kamstrup Erlandsen <kamstrup@daimi.au.dk>

	* deskbar/handlers/beagle-live.py:
	Make beagle-live return news items like "News from *publisher*\n*headline*"

2006-02-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* deskbar/handlers/beagle-live.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix a warning with path_equals in the cuemiac
	Update TODO

2006-02-05  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/files.py:
	* deskbar/handlers/programs.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	* po/POTFILES.in:
	Fixes gnome-dictionary 2.13 launching
	Workaround problem with gnome-open not opening saved nautilus searches
	correctly
	Remove focus-with-hover feature of cuemiac
	Add yahoo to translation list

2006-02-04  Mikkel Kamstrup Erlandsen <kamstrup@daimi.au.dk>

	* deskbar/handlers/beagle-live.py
	* deskbar/ui/cuemiac/Cuemiac.py:
	Trim descriptions, and make mails display like "sender\nsubject"
	Make Cuemaic max height 0.8*screenheight, max width is also updated to 0.6,
	but does not show because the treeview ellipsizing prevents size-request on width.
	Post bump updates
	
========== Version 2.13.90.1 released ==========

2006-02-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	* deskbar/ui/EntryHistoryManager.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix keyboard history navigation
	Fix enter in cuemiac in the entry should launch the first visible match

2006-02-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ModuleLoader.py:
	* deskbar/__init__.py:
	* deskbar/handlers/files.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Fix focus issues on keyboard shortcut for both ui modes
	Load handlers in the correct order, and if two same handlers are present
	in ~ and /usr, load the ~ one
	Code and prints cleanup
	First pass at being Xinerama-aware, patch by Davyd Madeley

2006-02-03  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Repair the handler when closing without returning a snippet

2006-02-03  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/handlers/google-live.py:
	* deskbar/handlers/yahoo.py:
	* deskbar/cuemiac/Cuemiac.py
	* ChangeLog
	Do more check_query_changed() calls in google-live and yahoo handlers
	Stop async handlers when the entry has been cleared by backspace
	Only show valid hits in the Cuemiac, meaning that they where generated from the entry text present
	Fix dating of previous ChangeLog entry
	
2006-02-02  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/Handler.py:
	* deskbar/DeskbarApplet.py
	* deskbar/cuemiac/Cuemiac.py
	Only enqueue a StopQuery in AsyncHandler if a thread is running (guys; you owe me a beer for this one!)
	Only stop enabled async handlers
	Simplify middle-click on DeskbarButton handling

2006-02-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fix beagle action spawning. Was not correctly generating the command line
	to spawn

2006-02-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/yahoo.png:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/yahoo.py:
	Added Yahoo handler, contributed by Laurent <laurent@gobio2.net>
	Fix pango markup problems in google and yahoo

2006-02-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	Try/catch when loading history

2006-02-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Ref/unref beagle hits

2006-01-31  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Fix some more firefox search engines locations

2006-01-31  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/defs.py.in:
	* deskbar/deskbar-applet.py:
	Attempt to fix #329373 by changing PYTHONPATH variable in PYTHONDIR

2006-01-31  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	Reintroduce the abandoned save-last-search feature of the Cuemiac.
	The model and entry are only cleared if the X middle click buffer contains some
	text.
	The feature was abandoned precisely because middle-click pasting was impossible
	since the Cuemiac entry already contained highlighted text on popping up.
	
========== Version 2.13.90 released ==========

2006-01-31  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/deskbar-applet-panel-h.png:
	* data/art/deskbar-applet-panel-h.svg:
	* data/art/deskbar-applet-panel-v.png:
	* data/art/deskbar-applet-panel-v.svg:
	* data/art/deskbar-applet-small.png:
	* data/art/deskbar-applet.svg:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	New Artwork

2006-01-31  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* deskbar/handlers/beagle-live.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Add beagle-live snippet retreival, remove debug prints and update NEWS.

2006-01-30  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* data/deskbar-applet.schemas.in:
	* data/prefs-dialog.glade:
	* deskbar/DeskbarApplet.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Bump to 2.13.90 to match gnome version
	Default to completion UI
	Fix strings in the prefs dialog
	Handle keyboard alt-shortcuts correctly in cuemiac

2006-01-30  Josep Puigdemont i Casamajó  <josep.puigdemont@gmail.com>

	* configure.ca: Added 'ca' to ALL_LINGUAS.

2006-01-29  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	* deskbar/ui/EntryHistoryManager.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Add more TODO on cuemiac
	Fixes Webhistory in beagle-live.
	Prepares the beagle-live to use text snippets when available (not working
	and disabled for the moment)

2006-01-29  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/BrowserMatch.py:
	* deskbar/Categories.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	Repair browser matches
	Consolidate categories for cuemiac

2006-01-29  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Categories.py:
	* deskbar/handlers/google-live.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Implement category sorting according to various criterions.
	Categories are sorted according to the highest handler priority (as
	defined in the preferences) found in a match within the category.
	Matches insides a category are sorted according to their handler
	preference then relative priority. Finally alphabetic order is used.

	Add a generic category dubbed 'Uncategorized' for handlers returning bogus
	categories or handlers that haven't any particular category.

2006-01-29  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* deskbar/__init__.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Remember collapsed categories in the cuemiac UI
	Delete text on popup hide/esc key in cuemiac
	Prevent both history and popup in cuemiac being open at the same time

2006-01-29  Raphael Higino  <raphaelh@cvs.gnome.org>

	* configure.ac: Added pt_BR to ALL_LINGUAS.

2006-01-29  Slobodan D. Sredojevic  <slobo@akrep.be>

	* configure.ac: Added sr and sr@Latn to ALL_LINGUAS

2006-01-29  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.ac: add "zh_HK" "zh_TW" to ALL_LINGUAS.

2006-01-28  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.ac : added ku (Kurdish) to all_linguas
	* po/ku.po : added ku.po

2006-01-27  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/BrowserMatch.py:
	* deskbar/handlers/beagle-live.py:
	Add a fixme in beagle-live
	Attempt to repair an error in mozilla bookmarks parsing

2006-01-27  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	Attempt to fix the new artwork size

2006-01-27  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* data/art/Makefile.am:
	* data/art/deskbar-applet-small.png:
	* data/art/deskbar-applet-small.svg:
	* data/art/deskbar-applet-small.xcf:
	* data/art/deskbar-applet.png:
	* data/art/deskbar-applet.svg:
	* data/art/deskbar-horiz.svg:
	* data/art/deskbar-vert.svg:
	* data/art/web-bookmark.png:
	* deskbar/DeskbarHistory.py:
	* deskbar/ModuleLoader.py:
	* deskbar/Watcher.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Add proxy detection code in google-live
	Change some icons to use stock icons, so we get theming
	Use the traceback module when possible to display good debug traces
	Change the artwork a bit to reflect recent IRC discussions

2006-01-27  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	Fix sensivity update when no modules are loaded

2006-01-27  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	New look to mimic the back button more closely. Also make the icon button
	more important, being left of the dropdown. Also remove the separator.

	Fix a critical warning when switching panel orientation

2006-01-27  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/handlers/history.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	Fix history handler, correctly categorize and sort the history matches
	Prevent the icon being replaced after selecting a match

2006-01-27  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	Correct mistakes introduced in fixing bug #328661.
	FOR THE RECORD: CuemiacAlignedWindow is moved with update_position()
	before show() is called on it. Therefore it has to be realized before
	we can use all its widget properties.
	Add 1 pixel border to both entry and history popups.

2006-01-27  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Categories.py:
	* deskbar/DeskbarApplet.py:
	* deskbar/Handler.py:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/history.py:
	First implementation of history handler, allowing old commands appearing
	as matches

2006-01-26  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	Attempt n°2 to fix bug #328661

2006-01-26  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Makefile.am:
	* deskbar/deskbar-applet.py:
	* deskbar/gtkexcepthook.py:
	Add a GTK exception handler dialog

2006-01-26  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	Use IconEntry instead of plain gtk.Entry in Cuemiac popup.

2006-01-26  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Implement the middle click on the cuemiac view to trigger a search with
	middle-click clipboard content

2006-01-26  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix the focus when alt-f3 problem

2006-01-26  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix two gtk warnings. First is bug 328661, and the other a warning when resizing
	windows to sizes =< 0.
	Fix hidding the Cuemiac treeview when the entry is empty.
	Fix scrolling to selection

2006-01-25  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Hide hisory on Esc
	Toggle show of Cuemiac on keyboard shortcut, instead of always try to show
	Correct handling of selected historic matches
	

2006-01-25  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarHistory.py:
	* deskbar/ui/EntryHistoryManager.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fixes the history handling in both UI's

2006-01-25  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/CuemiacAlignedWindow.py:
	* deskbar/ui/cuemiac/CuemiacHistory.py:
	Add history popup to the Cuemiac
	FIXME: The Cuemiac still does not add matches to the history

2006-01-25  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ModuleList.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	Register classes with glib

2006-01-25  Mikkel Kamstrup Erlandsen,,,  <kamstrup@daimi.au.dk>

	* deskbar/DeskbarHistory.py:
	Fixme bugs introduced in the ListStoreification of DeskbarHistory

2006-01-24  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/DeskbarHistory.py:
	Make DeskbarHistory subclass gtk.ListStore and use that
	as a backend to store the historic matches.
	A DeskbarHistory object is now itself traversable with a for loop
	and returns (text,match) pairs on each iteration.

2006-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	Try to fix the middle-click handler

2006-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* data/art/Makefile.am:
	* data/deskbar-applet.schemas.in:
	* deskbar/DeskbarApplet.py:
	* deskbar/deskbar-applet.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/google-live.py:
	Small string fixes in handlers
	Make the override UI switch does not inhibit gconf ui change
	Add the artwork for cuemiac
	Add schema entry for the ui_name key

2006-01-24  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	Fix applet resizing on panel resizing.
	Tweak entry alignment

2006-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/Indexer.py:
	* deskbar/__init__.py:
	* deskbar/deskbar-applet.py:
	* deskbar/handlers/programs.py:
	Fix the programs.py desktop file parsing
	Add an ui override for window mode which does use gconf
	Fix the indexer to return more matches

2006-01-24  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix match triggering when Nest or CuemiacCategory rows are activated
	Set the gnomeapplet.EXPAND_MINOR flag in the CuemiacUI

2006-01-24  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/ui/cuemiac/Cuemiac.py:
	Update Cuemiac notes

2006-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/handlers/programs.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix a lot of little regressions


2006-01-24  Clytie Siddall <clytie@riverland.net.au>

	* configure.in	Added vi in ALL_LINGUAS line.
	
	2006-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Handler.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-signal_handler.py:
	Fix the beagle-live handler and repair other async handlers for API change

2006-01-24  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/DeskbarApplet.py:
	* deskbar/handlers/files.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix panel orientation changing in CuemiacUI
	Fix files handler category
	Hide Cuemiac popup on match selection

2006-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Little optimization for rendering speed by M.K.
	Add the new UI to beagle handler

2006-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	Correctly set un/sensivity in the preference dialog

2006-01-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/EntryHistoryManager.py:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fixes the iconentry drawing and cuemiac drawing being too large
	Fixes history browse with up/down keys in entry
	Restore the width settings application in completion ui

2006-01-24  Mikkel Kamstrup Erlandsen  <kamstrup@daimi.au.dk>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix UI changing CompletionUI<->CuemiacUI in applet-mode.
	Optimize Cuemiac response time by waiting to clear the model
	until the first match is returned.

2006-01-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/Keybinder.py:
	Shold fix the keybinding, but somehow it doesn't

2006-01-22  Dennis Cranston  <dennis_cranston@yahoo.com>

	* data/prefs-dialog.glade:  HIG spacing fixes 
	* data/smart-bookmarks.glade:  HIG spacing fixes.

2006-01-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/prefs-dialog.glade:
	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarAppletPreferences.py:
	* deskbar/__init__.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	New preferences UI with both completion and cuamic.

2006-01-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Categories.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/programs.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fixes google and file/folder handler serialization
	Introduce ngettext in categories
	Small cuemiac tweaks and fix the nest cell

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/ui/DeskbarEntry.py:
	* deskbar/ui/Makefile.am:
	* po/POTFILES.in:
	Build fixes

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/smart-bookmarks.glade:
	* deskbar/BrowserMatch.py:
	* deskbar/DeskbarApplet.py:
	* deskbar/Handler.py:
	* deskbar/Match.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	Slight api update and fixes

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/BrowserMatch.py:
	* deskbar/DeskbarApplet.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	Repair history in completion UI, and more browser handler fixes

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/BrowserMatch.py:
	* deskbar/DeskbarApplet.py:
	* deskbar/Handler.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	Fix shortcut and keyword handling for browser matches
	Repair configure.ac borkage

2006-01-22  Nickolay V. Shmyrev  <nshmyrev@yandex.ru>

	* configure.ac:	Added ru to ALL_LINGUAS.

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/__init__.py:
	* deskbar/deskbar-applet.py:
	Add a temporary switch -c to launch cuemiac ui, or without to launch
	completion ui

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* m4/python.m4:
	Check for gnomeapplet module instead of g-p-e package

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	More fixes by our Master of Mathematics

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	Stop async handlers on match selection, set sensitive to False

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarHistory.py:
	* deskbar/Handler.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Cuemiac Fixes
	Implement history load/save with new serialization framwork

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/Match.py:
	* deskbar/ui/cuemiac/Cuemiac.py:
	Fix imports in Cuemiac
	Prevents searching when typing the terms

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/ui/Makefile.am:
	* deskbar/ui/cuemiac/.cvsignore:
	* deskbar/ui/cuemiac/Cuemiac.py:
	* deskbar/ui/cuemiac/DeskbarAppletButton.py:
	* deskbar/ui/cuemiac/Makefile.am:
	OMG ! The CUEMIAC !
	Merci Mikkel Kamstrup Erlandsen <kamstrup@daimi.au.dk> !

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* deskbar/BrowserMatch.py:
	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarHistory.py:
	* deskbar/Utils.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	Merge the Logic part of DeskbarApplet from Mikkel Kamstrup

2006-01-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	Implement Serialization for matches

2006-01-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/DeskbarApplet.py:
	* deskbar/Match.py:
	* deskbar/ui/DeskbarUI.py:
	* deskbar/ui/EntryHistoryManager.py:
	* deskbar/ui/Makefile.am:
	* deskbar/ui/completion/.cvsignore:
	* deskbar/ui/completion/CompletionDeskbarUI.py:
	* deskbar/ui/completion/DeskbarEntry.py:
	* deskbar/ui/completion/Makefile.am:
	Initial Logic/UI separation with the entrycompletion backend

2006-01-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/BrowserMatch.py:
	* deskbar/Categories.py:
	* deskbar/Makefile.am:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	Introduce the categories for use with the C. display

2006-01-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/DeskbarApplet.py:
	* deskbar/Keybinder.py:
	Repair the keybinder

2006-01-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* configure.ac:
	* deskbar/BrowserMatch.py:
	* deskbar/DeskbarApplet.py:
	* deskbar/DeskbarAppletPreferences.py:
	* deskbar/DeskbarHistory.py:
	* deskbar/Handler.py:
	* deskbar/Indexer.py:
	* deskbar/Keybinder.py:
	* deskbar/Makefile.am:
	* deskbar/Match.py:
	* deskbar/ModuleContext.py:
	* deskbar/ModuleList.py:
	* deskbar/ModuleLoader.py:
	* deskbar/Utils.py:
	* deskbar/Watcher.py:
	* deskbar/__init__.py:
	* deskbar/about.py:
	* deskbar/applet.py:
	* deskbar/applet_keybinder.py:
	* deskbar/defs.py:
	* deskbar/deskbar-applet.py:
	* deskbar/deskbarentry.py:
	* deskbar/filewatcher.py:
	* deskbar/handler.py:
	* deskbar/handler_utils.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers_browsers.py:
	* deskbar/history.py:
	* deskbar/indexer.py:
	* deskbar/locale_utils.py:
	* deskbar/module_list.py:
	* deskbar/preferences.py:
	* deskbar/ui/.cvsignore:
	* deskbar/ui/About.py:
	* deskbar/ui/DeskbarEntry.py:
	* deskbar/ui/DeskbarPreferencesUI.py:
	* deskbar/ui/Makefile.am:
	* deskbar/ui/ModuleListView.py:
	Big refactoring for inclusion of the cuemiac branch

2006-01-20  Stanislav Brabec  <utx@penguin.cz>

	* configure.ac: Added cs to ALL_LINGUAS.

2006-01-19  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/pathprograms.py:
	Terminal code cleanup for subprocess spawning. and fallback to
	non-terminal if there is an error

2006-01-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/handler.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers_browsers.py:
	Fix a stack trace when clicking More... on epiphany handler when it's not
	enabled.

	Create an appropriate API for receiving key-combos in handlers

	Add output view in zenity when hitting ctrl-t with a program name in the
	entry

2006-01-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	Post release bump to 0.8.9	


========== Version 0.8.8 released ==========

2006-01-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/deskbarentry.py:
	Fixes issues with history: Clicking in the menu will correctly
	make the clicked item go up in history, and history items activated are
	run with the correct string (the one saved, not the one in the entry)

2006-01-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle.py:
	* deskbar/history.py:
	Fixes beagle handler returning an exception on get_hash

2006-01-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/filewatcher.py:
	* deskbar/handler.py:
	* deskbar/module_list.py:
	* deskbar/history.py:
	Fixes running pygtk 2.6 with gtk 2.8 (class registration stuff)
	Add class registration in history.py for pygtk < 2.8

2006-01-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* MAINTAINERS:
	* NEWS:
	* configure.ac:
	Post release bump to 0.8.8, added MAINTAINERS file 
	for gnome CVS management

========== Version 0.8.7 released ==========

2006-01-02  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/evolution.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers_browsers.py:
	* deskbar/preferences.py:
	Remove unused priority changes

	Fixes the mozilla search plugins path for firefox 1.5

	Fixes a problem when running with no installed schemas

2005-12-26  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/__init__.py:
	* deskbar/applet.py:
	* deskbar/deskbarentry.py:
	* deskbar/handler.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/history.py:
	Add history persistance for deskbar applets. Works as a single shared
	history across multiple instances.

2005-12-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers_browsers.py:
	Bump to 0.8.7
	Allow translators to change the order of some strings with multiple words
	replacement

2005-12-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	Code cleanup

2005-12-10  Ankit Patel  <ankit644@yahoo.com>

	* configure.ac: Added 'gu' (Gujarati) to ALL_LINGUAS.

2005-12-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/handlers/beagle-live.py:
	Fix a problem preventing beagle (and other matches) from appearing when no
	hash is returned.

2005-12-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	Post-Release bump

========== Version 0.8.6 released ==========

2005-12-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* README:
	* deskbar/about.py:
	Add a translator credit string, so translators can have their name in the
	About box.

	Updated NEWS for upcoming release

2005-12-06  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/beagle/.cvsignore:
	* deskbar/beagle/Makefile.am:
	* deskbar/beagle/__init__.py:
	* deskbar/beagle/_beagle.defs:
	* deskbar/beagle/_beagle.override:
	* deskbar/beagle/_beaglemodule.c:
	* deskbar/beagle/gen-defs.sh:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/beagle-live.py:
	Remove our own beagle python binding. This mean we require beagle 0.1.3
	that ships with python bindings. Update the handler to use 'import beagle'
	and remove any reference to beagle in configure.ac

2005-12-02  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/handlers/evolution.py:
	Took out the UTF-8 arrows in the help string, to workaround bug 323232.

2005-12-04  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.ac: Added 'th' (Thai) to ALL_LINGUAS.

2005-12-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/smart-bookmarks.glade:
	* deskbar/handlers/Makefile.am:
	Repairs a distcheck error, and update the smart bookmark string to be
	clearer, hopefully :)

2005-12-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Deskbar_Applet.server.in.in:
	* data/art/Makefile.am:
	* data/art/deskbar-applet-small.png:
	* data/art/deskbar-applet-small.svg:
	* data/art/deskbar-applet.png:
	* data/art/deskbar-applet.svg:
	* deskbar/about.py:
	* deskbar/deskbarentry.py:
	* deskbar/handler_utils.py:
	* deskbar/handlers_browsers.py:
	* deskbar/preferences.py:
	* po/POTFILES.in:
	Add a translatable file, change the old icon for a new more to the point,
	tango-ized icon (we don't do searches, we do actions). Update wherever
	possible to use the new icons.

2005-12-03  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/history.py:
	Fix history behavior. Duplicate items in history are moved instead of
	being added multiple times.
	Fix duplicate items detection, the code path was stupid.
	Fixes bug #322981: Duplicate items in history

2005-12-02  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	We shouldn't offer those bookmarks with an %s in them, without some
	text to substitute for that %s.
	
	* deskbar/handlers/mozilla.py:
	Now supports those Moz/Firefox bookmarks with a defined "ShortcutURL",
	i.e., keywords.  Note that this is different from the search engines
	presented in the top-right "search box" in firefox.

2005-11-28  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	Initial attempt at history completion, builtin.
	It make sense to have first all past matches since you are probably trying
	to do it again, since people use mostly the bar for some specific
	purposes. Currently hardcoded, might change if it's really annoying. I
	don't think so.

2005-11-28  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handler.py:
	* deskbar/handler_utils.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/google-live.py:
	* deskbar/preferences.py:
	Add a HANDLER_HAS_REQUIREMENTS to differentiate between hard dependencies,
	and simple configuration.
	Saner way to handle handlers with missing deps. Move evolution to new HAS_REQUIREMENTS.
	Move the more dialog to handler_utils.py and make handlers use it.
	Add google strings for translation

2005-11-28  Nigel Tao  <nigeltao@cvs.gnome.org>

	* data/Makefile.am:
	* data/smart-bookmarks.glade:
	* deskbar/deskbarentry.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers_browsers.py:
	Web search bookmarks (aka "smart bookmarks") can now have shortcuts
	(aka "keywords").

2005-11-27  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/applet.py:
	Correctly draw the IconEntry even before it gets focus.

2005-11-27  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/applet.py:
	Keybinding UI now picks up the right gconf preference when run as an
	applet, rather than in -w mode.

2005-11-25  Alexander Shopov  <ash@contact.bg>

	* configure.ac: Added "bg" (Bulgarian) to ALL_LINGUAS

2005-11-25  Nigel Tao  <nigeltao@cvs.gnome.org>

	* data/prefs-dialog.glade:
	* deskbar/applet.py:
	* deskbar/applet_keybinder.py:
	* deskbar/module_list.py:
	* deskbar/preferences.py:
	Tidied up the preferences dialog.  Added keybinding UI.  Rephrased
	some things to be consistent with the Epiphany web browser. For example,
	"Handlers" became "Extensions".  Fixed warning when no extension is
	selected.  "Enabled" checkbox now comes before the extension icon.
	Removed the word "Applet".

2005-11-24  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/module_list.py:
	Disabled handlers are now sorted by name alphabetically in the
	Preferences UI.

2005-11-24  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/handler_utils.py:
	Scale down those icons that are too large.

2005-11-23  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/evolution/_evolution.defs:
	* deskbar/evolution/_evolution.override:
	* deskbar/evolution/evolution.c:
	* deskbar/evolution/evolution.h:
	* deskbar/handlers/evolution.py:
	Evolution handler is now sync rather than async.  This will hopefully
	fix evolution handler bugs like bug #322119.

2005-11-22  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/evolution/evolution.c:
	Fixed crasher when user has more than one address book available for
	auto-completion.  Possibly fixes bug #321975.

2005-11-21  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.ac: Added 'gl' to ALL_LINGUAS.

2005-11-21  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/preferences.py:
	* deskbar/data/prefs_dialog.glade:
	* deskbar/handlers/google-live.py:
	Handlers don't need manual "Refresh"ing in the Preferences UI - it's all
	instant apply.
	Moved the "Drag and Drop Handlers" label back to the .glade file, where
	it belonged in the first place.

2005-11-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* README:
	* configure.ac:
	* deskbar/applet.py:
	* deskbar/handlers/Makefile.am:
	Add some infos about g-p-e-2.10 and focus issues
	Correct a bug that evolution.py wasn't installed because it checked for
	beagle support instead of checking for evolution support.
	Add preliminary and probably garbage transparency stuff. A new API is in
	the make to have this in a cleaner way in libpanel-applet

2005-11-20  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.ac: Added nb to ALL_LINGUAS.

2005-11-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* po/POTFILES.in:
	Add some more translatable files

2005-11-19  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/deskbar-applet.py:
	* deskbar/deskbarentry.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/indexer.py:
	* deskbar/preferences.py:
	Fixes CVS b0rkage in indexer.py and preferences.py
	Correctly initialize gnome.program_init to hopefully avoid renadom crashes
	Correctly call the show method on the icon eventbox to fully draw the
	widget on the panel even before it got the focus.

2005-11-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/deskbar-applet-small.png:
	* deskbar/Makefile.am:
	* deskbar/deskbarentry.py:
	* deskbar/handlers/Makefile.am:
	* deskbar/indexer.py:
	* deskbar/preferences.py:
	* deskbar/tokenizer.py:
	Remove tokenizer.py and update indexer, we won't need it anymore, too slow
	anyway.

	Remove the custom deskbar-small icon, and use stock search/find icon for
	the bar and pref dialog.

2005-11-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handler_utils.py:
	* deskbar/handlers/directories.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/gtkbookmarks.py:
	Slightly change the wording to be more consistent in File and Folders for
	GtkBookmarks and GnomeSearchFiles.
	Merge File.py and Directories.py, we always want both or none anyway.

2005-11-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/handlers/debug-blockinginit.py:
	* deskbar/handlers/debug-requirements.py:
	Remove blocking init handler, not of any use anymore.
	Implement smart history browsing, now it's possible to use shell-like
	up/down key to browse history, yet preserving (page) up/down navigation in
	the matches list.

2005-11-17  Adam Weinberger  <adamw@gnome.org>

	* configure.ac: Added en_CA to ALL_LINGUAS.

2005-11-18  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/handler.py:
	* deskbar/module_list.py:
	* deskbar/preferences.py:
	* deskbar/data/prefs_dialog.glade:
	* deskbar/evolution/evolution.c:
	* deskbar/evolution/_evolution.defs:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-requirements.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/google-live-help.txt:
	* deskbar/handlers/mozilla.py:
	Handlers are now configurable in the Preferences UI.
	Google Live Handler's help is now presented in the UI, rather than as
	a separate text file.
	Evolution bindings now say how many address books have auto-complete.
	New debug-requirements debugging Handler.

2005-11-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	Use ctrl up/down to browse history to avoid conflicting with pageup/down
	functionality

2005-11-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/filewatcher.py:
	Attempt to fix random crashes happening in deskbar when playing with
	gnomevfs file monitoring + xml parsing. This is a bug in pyexpat, sent a
	patch. The workaround is valid.

2005-11-15  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug_async_handler.py:
	* deskbar/handlers/debug_blockinginit.py:
	* deskbar/handlers/debug_signal_handler.py:
	* deskbar/handlers/directories.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	Edited description strings to be consistent regarding capitalization.

2005-11-15  Žygimantas Beručka  <zygis@gnome.org>

	* configure.ac: Added Lithuanian to ALL_LINGUAS.

2005-11-14  Marcel Telka  <marcel@telka.sk>

	* configure.ac (ALL_LINGUAS): Added sk.

2005-11-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/defs.py.in:
	Post-release fixes and bumps

2005-11-14  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* configure.ac: Added Spanish translation to ALL_LINGUAS

========== Version 0.8.5 released ==========

2005-11-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* README:
	* TODO:
	* configure.ac:
	Prepare 0.8.5 release.

2005-11-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* deskbar/about.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/directories.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers_browsers.py:
	Update translatable strings to remove unneeded markup

2005-11-13  Christian Rose  <menthos@menthos.com>

	* configure.ac: Added "sv" to ALL_LINGUAS.

2005-11-13  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/handler.py:
	* deskbar/history.py:
	First step for persistant history

2005-11-12  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/handlers/programs.py:
	Fix bug #321236, always show file search and gnome dict even when the menu
	item is hidden by the user
	Small change in defs.py generation, in makefile instead of configure.ac

2005-11-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/.cvsignore:
	* deskbar/__init__.py:
	* deskbar/applet.py:
	* deskbar/preferences.py:
	Really fix the per-applet gconf settings issue.

2005-11-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/defs.py.in:
	* deskbar/deskbar-applet:
	* deskbar/deskbar-applet.py:
	Fixes bug #321115: deskbar does not like being installed into a different prefix
	to Python.

2005-11-10  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/applet.py:
	Fix bug #320373 - Fitt's law whackiness.

2005-11-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/module_list.py:
	* deskbar/preferences.py:
	Correctly handle the handlers list. Should react to external changes
	in gconf correctly now when running multiple instances for example. Fixes
	part of bug #320384

2005-11-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/handler.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/directories.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers_browsers.py:
	Fix the get_hash problem, now handlers by default are not checked for
	duplication except if they override the method.
	Implement get_hash in all handlers where applicable
	Revisit the firefox/mozilla smart engine parser, should be error free now.

2005-11-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/deskbarentry.py:
	* deskbar/gnomedesktop/.cvsignore:
	* deskbar/gnomedesktop/Makefile.am:
	* deskbar/gnomedesktop/__init__.py:
	* deskbar/gnomedesktop/_gnomedesktop.defs:
	* deskbar/gnomedesktop/_gnomedesktop.override:
	* deskbar/gnomedesktop/_gnomedesktopmodule.c: (init_gnomedesktop):
	* deskbar/handler.py:
	* deskbar/handler_utils.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	Add wrapper for lignome-dektop's GnomeDesktopItem to parse .desktop files
	Replace our uses of custom .desktop parser with the new wrapper, it's
	faster and safer.
	Startup Notification support through use of GnomeDesktopItem.launch()
	New Duplication detection, duplicate items are checked in the order
	defined by handler priorities.

2005-11-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/__init__.py:
	* deskbar/applet.py:
	Support for per-applet width and expand settings

2005-11-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/iconentry/ephy-icon-entry.c: (ephy_icon_entry_init):
	Preliminary vetical panel support, it does not work at all..
	Set the border of ephy's icon entry to 0

2005-11-04  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/deskbar-applet:
	* deskbar/filewatcher.py:
	Really position the menu correctly to the icon
	Register more classes with pygtk < 2.8 to fix crashes in file monitoring
	classes

2005-11-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/google-live.py:
	* deskbar/handlers/mozilla.py:
	Fix missing gobject import in google-live
	Fix parsing of search engines that are not written like i suppose they ae
	in the parser.


========== Version 0.8.4 released ==========

2005-11-01  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Makefile.am:
	* deskbar/deskbar-applet:
	* deskbar/handler_utils.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/programs.py:
	Fix problems introduced with XDG handling, and duplicate entries. Use
	another threading init method which should fix the gnomevfs crash.
	Honor the --disable-gconf-install flag.

2005-10-31  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* data/Makefile.am:
	Fix the gconf schemas installations, should fix some problems with applet
	size.
	Bump to 0.8.4

2005-10-31  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/handler_utils.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	Add support for XDG_DATA_DIR set of configuration, allowing people with
	/opt install to use deskbar properly.

	Fixed bugs when iterating over empty sequence, as a result of not finding
	the .desktop file, and some misc bugs in handlers.

2005-10-30  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* configure.ac:
	Prepare 0.8.3 Release


========== Version 0.8.3 released ==========

2005-10-30  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/directories.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	Patch from Martin Grondin <admin@zotnix.com>, fixes bug #319861
	No more zombification when we spawn processes.

2005-10-29  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/filewatcher.py:
	Add some exception catching for people who cannot watch files.

2005-10-29  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* deskbar/filewatcher.py:
	* deskbar/handler.py:
	* deskbar/module_list.py:
	Add the class registration code for pygtk < 2.8.0
	Edit TODO

2005-10-27  Tommi Vainikainen  <thv@iki.fi>

	* configure.ac (ALL_LINGUAS): Added "fi" (Finnish).

2005-10-25  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	* deskbar/module_list.py:
	Restore mozilla requirements, little typos


========== Version 0.8.2 released ==========

2005-10-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/filewatcher.py:
	* deskbar/handler.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/programs.py:
	* deskbar/module_list.py:
	Fix some serious issues with mozilla backend, program backend.
	Also fix deskbar being insensitive when some loaded modules fail to
	initialize.

========== Version 0.8.1 released ==========

2005-10-24  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* configure.ac:
	* deskbar/handlers/beagle-live.py:
	Some more beagle fixes, and release 0.8.1

2005-10-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	More beagle properties fixtures

2005-10-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Fix the sender of the mails being None all the time

2005-10-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* README:
	* TODO:
	* deskbar/handlers/beagle-live.py:
	Fix for bug #319549 gnom.ui segfault on certain filenames.


========== Version 0.8.0 released ==========


2005-10-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	Fix the history popupmenu to attach itself to the icon.

2005-10-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* README:
	* TODO:
	* deskbar/handlers/web_address.py:
	Fix implicit http addresses parsing, some more stuff in NEWS/Readme etc

2005-10-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* NEWS:
	* TODO:
	* configure.ac:
	Version bump to 0.8.0, we'll be using stable/unstable version numbers from
	now on to hint stable/devel versions.

	Tidy the TODO file, and generate the 0.8.0 release NEWS file to be used in
	website publications

2005-10-23  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* configure.ac:
	* data/.cvsignore:
	* data/Makefile.am:
	* data/deskbar-applet.pc.in:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/web_address.py:
	Improve the regexes for mail and location detection.
	It is now possible to have user@host but with the method specified,
	otherwise it's an email address.

	Add package config file to allow third parties to install handlers in the
	right place.

	Cleanup TODO

2005-10-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/__init__.py:
	* deskbar/filewatcher.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/module_list.py:
	Add gnomevfs monitoring for module loader. That means drag and dropped
	handlers in the user or system handlers directory will be loaded, and
	automagically show in the prefs dialog, unenabled by default.

	We do not do anything on modification, because it would only be useful for
	developpers, and then developpers don't want handlers to autoupdate.

	When removing a handler we do nothing, since it's always in memory until
	next restart, and that's good

2005-10-22  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* deskbar/Makefile.am:
	* deskbar/filewatcher.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	Add gnomevfs file monitoring to handlers that need it. Epiphany, Galeon,
	mozilla now reload on bookmark, history, search engines addition/removal.

	The gtkBookmarks are also reloaded when needed. Other handlers do not need
	this functionality

2005-10-22  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/evolution/_evolution.override:
	Plugged memory leaks.

2005-10-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/pathprograms.py:
	Speed-up the loading of the module by not loading the list of executables.
	Executables are instead "probed" at each query. Side effect, is that we
	don't need to reindex the $PATH when a new program is installed

2005-10-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/beagle-live.py:
	Add a calendar type, and fix some details, like None strings

2005-10-21  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/__init__.py:
	* deskbar/deskbar-applet:
	* deskbar/deskbarentry.py:
	* deskbar/handler.py:
	* deskbar/handlers/google-live.py:
	More fixes for handling installed/uninstalled deskbar with recent changes

2005-10-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Makefile.am:
	* deskbar/__init__.py:
	* deskbar/handlers/beagle-live.py:
	* po/POTFILES.in:
	Fix the previous fix to pass distcheck.
	
	Add some new strings to translation in beagle-live
	
	Allow to use a development deskbar-applet with its own set of enabled
	handlers and priority, to not interfere with stable one. (Useful only for
	developpers)

2005-10-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/Makefile.am:
	* deskbar/Makefile.am:
	Change the location of deskbar-applet launcher script, using /usr/libexec
	is deprecated. Fixes bug #319354

2005-10-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/dict.png:
	* data/art/folder.png:
	* data/art/gnome-dev-harddisk.png:
	* data/art/gnome-searchtool.png:
	* data/art/mail.png:
	* data/art/web.png:
	* deskbar/handler.py:
	* deskbar/handler_utils.py:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-async_handler.py:
	* deskbar/handlers/debug-blockinginit.py:
	* deskbar/handlers/debug-signal_handler.py:
	* deskbar/handlers/directories.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	Cleanup the way we use icons. Whenever possible, use stock icons, removed
	duplicate icons we shipped in the tarball.

2005-10-20  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/beagle/.cvsignore:
	* deskbar/beagle/Makefile.am:
	* deskbar/beagle/__init__.py:
	* deskbar/beagle/_beagle.defs:
	* deskbar/beagle/_beagle.override:
	* deskbar/beagle/_beaglemodule.c: (init_beagle):
	* deskbar/beagle/gen-defs.sh:
	* deskbar/evolution/Makefile.am:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/beagle-live.py:
	* deskbar/handlers/files.py:
	Add libbeagle python binding, and the associated beagle-live.py handler
	allowing to search with beagle from within deskbar.

	Add optional support for evolution/beagle with --enable arguments

2005-10-19  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/deskbar-applet:
	Fixed imports so that it runs as an applet as well as from the source
	directory.

2005-10-19  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/evolution.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/google-live.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* po/POTFILES.in:
	Unify strings for browsers, use generic terms instead of applications
	names, all this is more user-friendly. Add a new string in applet.py

2005-10-19  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* po/POTFILES.in:
	Two more files for translation

2005-10-19  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbar-applet:
	Add gettext stuff so we actually use translations

2005-10-19  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/evolution/_evolution.override:
	* deskbar/handler.py:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/evolution.py:
	The glorious return of evolution addressbook handler.
	Fixed little bugs and threading issues in glue code, implemented
	the handler itself, and enjoy.

2005-10-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/handler.py:
	Apply some cleanup patches to async threaded handler, fixing stopping
	queries

2005-10-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/art/Makefile.am:
	* data/art/google.png:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/google-live-help.txt:
	* deskbar/handlers/google-live.py:
	Add the Google Live Async handler, it has a little more requirements than
	other plugins and as such an UI to see error messages will be introduced,
	in the meantime it prints help file on stdout in the terminal, when an
	error occurs because of misconfiguration

2005-10-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/keybinder/_keybinder.override:
	Remove a bit of the GIL sprinkling, still seems to work.

2005-10-18  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbar-applet:
	* deskbar/keybinder/_keybinder.override:
	Mess around with The Big Sucking Python Lock, hopefully fixes all the
	problems in the world, universe, and everything

2005-10-17  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handler.py:
	Add timeout support for threaded async handlers

2005-10-17  Nigel Tao  <nigeltao@cvs.gnome.org>

	* deskbar/deskbar-applet:
	Removed the gtk.threads_init() call, since we no longer use threads
	(and this seems to fix bug #318884).

2005-10-16  Dennis Cranston  <dennis_cranston@yahoo.com>

	* data/Deskbar_Applet.server.in.in: Do not expose "Applet" terminology 
	to user.
	* data/prefs-dialog.glade:  GNOME HIG changes: fix typo; fix
	border width; rephrase and move handler comment; fix a broken
	mnemonic.
	* deskbar/about.py:  Do not expose "Applet" terminology  to user.
	* deskbar/preferences.py:  Toggle sensitivity of the width label, 
	spinner, and units.

2005-10-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* deskbar/:
	Merge the esync handler patch, allows handlers to return results
	asynchronously. Clean TODO list

2005-10-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* data/deskbar-applet.schemas.in:
	* data/prefs-dialog.glade:
	* deskbar/applet.py:
	* deskbar/deskbar-applet:
	* po/POTFILES.in:
	Add new files for translation, and use caracters instead of pixels for
	entry width

2005-10-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/volumes.py:
	* deskbar/module_list.py:
	Fix the volume handler, by using nautilus instead of gnome-open
	Fix the crash when disableing/reenabling a handler in the pref panel

2005-10-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	When we are insensitive, we *really* don't want the menu or history to
	appear.

	When no modules are loaded, render the bar sensitive again to allow
	enabling them.

2005-10-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/prefs-dialog.glade:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-blockinginit.py:
	* deskbar/handlers/directories.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers_browsers.py:
	* deskbar/module_list.py:
	* deskbar/preferences.py:
	Handlers API rework, now a single file can have multiple handlers.
	HANDLER variable is exported containing the class name, and an info
	dictionary with name, description, and an optional requirements function,
	allowing to check if the handler can be loaded.
	
	As a side effect, browser handlers are now more fine grained, allowing to
	order independently bookmarks, history and search engines.

	The preference dialog is a bit bigger and has an extra blurb to hint the
	reordering prioritization.

2005-10-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* data/deskbar-applet.schemas.in:
	* deskbar/__init__.py:
	* deskbar/applet.py:
	* deskbar/deskbarentry.py:
	* deskbar/handler.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-blockinginit.py:
	* deskbar/handlers/directories.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/volumes.py:
	* deskbar/handlers/web_address.py:
	* deskbar/handlers_browsers.py:
	* deskbar/module_list.py:
	* deskbar/preferences.py:
	Introduce real gconf handlers management, and priority ranking of the
	handlers with drag and drop reordering of the handlers list.
	Render the entry insensitive when loading.

2005-10-16  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/deskbar-applet:
	* deskbar/handler.py:
	* deskbar/module_list.py:
	Remove the threads, they suck too much. We will try that way with simple
	idle priority calls in the mainloop. The UI appears fast then blocks for a
	while.

2005-10-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers_browsers.py:

2005-10-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Fix mozilla smart bookmarks parser

2005-10-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/module_list.py:
	Set the handlers list view reorderable to allow future priority system

2005-10-15  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers_browsers.py:
	Add history parser for epiphany and galeon, in their respective handlers.
	Thanks to Crispin Flowerday  <gnome@flowerday.cx>

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/indexer.py:
	Some performance tweaks, may be good or not..

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/debug-blockinginit.py:
	* deskbar/handlers/networkplaces.py:
	* deskbar/handlers/volumes.py:
	Add volumes.py that replaces networkplaces, it is more generic, allows to
	open network places and various drives/volumes on the system

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	Fix the .desktop icon parsing

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/handlers/beagle.py:
	* deskbar/handlers/debug-blockinginit.py:
	* deskbar/handlers/directories.py:
	* deskbar/handlers/email_address.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/files.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/networkplaces.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/handlers/web_address.py:
	* deskbar/module_list.py:
	Update name and description for each handler.
	Repair the previous breakage of iteration over non-sequence

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	Spring Cleanup, lost of things have been removed
	* deskbar/Makefile.am:
	Fix the file inclusion
	* data/prefs-dialog.glade:
	* deskbar/applet.py:
	* deskbar/deskbarentry.py:
	* deskbar/module_list.py:
	* deskbar/preferences.py:
	First look at the preference dialog, it shows the loaded modules, but i
	can't have it to uncheck the boxes..

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Makefile.am:
	* deskbar/__init__.py:
	* deskbar/applet.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/galeon.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers_browsers.py:
	Refactor the browser handlers implementation, the matches are now in
	deskbar itself and classes implement only parsing

2005-10-14  Philip Langdale  <philipl@mail.utexas.edu>

	* deskbar/handlers/Makefile.am
	* deskbar/handlers/galeon.py:
	Fixes bug #318869, add support for Galeon bookmarks.

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* autogen.sh:
	* configure.ac:
	Fixes macro `AM_CHECK_PYTHON_HEADERS' not found in library 

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Fixes bug #318720, mozilla smart bookmarks parser

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	Fix history menu, the item was always the first displayed.
	Fixes bug #318627

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handler.py:
	* deskbar/handlers/debug-blockinginit.py:
	* deskbar/handlers/networkplaces.py:
	* deskbar/module_list.py:
	Step 2. We only synchronize threads when entering an initialize_safe
	mehtod, so wwe don't block the UI for nothing. Network Places uses that
	since it uses gconf to init itself.

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/deskbar-applet:
	* deskbar/deskbarentry.py:
	* deskbar/handler.py:
	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/gtkbookmarks.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/networkplaces.py:
	* deskbar/handlers/pathprograms.py:
	* deskbar/handlers/programs.py:
	* deskbar/module_list.py:
	Step 1. Threaded Module loading, with no Dead beef, hopefully.
	Convert all plugins to use the new API

2005-10-14  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	Fix case insensitive sorting

2005-10-14  Funda Wang  <fundawang@linux.net.cn>

	* configure.ac: Added Simplified Chinese translation.

2005-10-14  Nigel Tao  <nigeltao@cvs.gnome.org>

	* configure.ac:
	Version bump to 0.7.0.


========== Version 0.6.0 released ==========


2005-10-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/Makefile.am:
	* deskbar/handlers/beagle.py:
	This will display when available search in beagle and fixe the multiple
	tray issue.
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/programs.py:
	Fix the problem where gnome-dict and file search didn't appear anymore

2005-10-11  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* AUTHORS:
	* deskbar/about.py:
	Add Mikkel
	* deskbar/applet_keybinder.py:
	* deskbar/deskbarentry.py:
	* deskbar/handler.py:
	* deskbar/handlers/galago.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/handlers/programs.py:
	* deskbar/indexer.py:
	* deskbar/locale_utils.py:
	Fix problems found with pylint, add icon_size instead of -1 for more
	py-2.3 fixes, and fix an error in locale detection.

2005-10-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/deskbarentry.py:
	* deskbar/handlers/mozilla.py:
	Apply fixes for python 2.3 and Gnome 2.10 Stack from
	Paul Wise <pabs3@bonedaddy.net>

2005-10-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	Fixes bug #318438, icon update when browsing the matches

2005-10-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	Fixes bug #318430, icons in history menu not aligned

2005-10-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/mozilla.py:
	Bump the number of returned matches.
	Fixes bug #318421, cgi-encode the passed search terms.

2005-10-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/mozilla.py:
	Correctly (hopefully) detect mozilla/ff/epiphany in gconf.
	Fixes bug #318386

2005-10-10  Takeshi AIHANA <aihana@gnome.gr.jp>

	* configure.ac: Added 'ja' (Japanese) to ALL_LINGUAS.

2005-10-10  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/Makefile.am:
	* deskbar/handlers/programs.py:
	Forgot to add locale_utils.py to Makefile.am
	Strip the whitespaces in the program name.

2005-10-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/applet.py:
	* deskbar/deskbarentry.py:
	Add a menu when clicking with left button on the icon.
	The menu shows the last executed actions (the history).

2005-10-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/mozilla.py:
	* deskbar/module_list.py:
	We only load the module corresponding to preferred browser found in gconf.
	If a module returns a EXPORTED_CLASS=None, we don't load it and show an
	error message indicating why it fails.

2005-10-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/pathprograms.py:
	bug #318268, multiple entries shown for same application
	Remove duplicate PATH matches for .desktop matches
	
2005-10-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/mozilla.py:
	Fixes bug #318262, duplicate search engines in /usr and ~

2005-10-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/epiphany.py:
	Fix the icon cache loading
	* deskbar/handlers/mozilla.py:
	Return the empty string if no FF/mozilla installation is found, or we have
	trouble with exists(None)

2005-10-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	* deskbar/locale_utils.py:
	Add locale support for .desktop indexing.
	Should we also load C locale beside user locale ?

2005-10-09  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* TODO:
	* data/deskbar-applet.schemas.in:
	* data/prefs-dialog.glade:
	* deskbar/__init__.py:
	* deskbar/applet.py:
	* deskbar/preferences.py:
	Restore Width preference, and add an expand preference.
	HIGify the pref dialog

2005-10-09  Nigel Tao  <nigeltao@cvs.gnome.org>

	* configure.ac:
	* deskbar/Makefile.am:
	* deskbar/evolution/.cvsignore:
	* deskbar/evolution/Makefile.am:
	* deskbar/evolution/__init__.py:
	* deskbar/evolution/_evolution.defs:
	* deskbar/evolution/_evolution.override:
	* deskbar/evolution/_evolutionmodule.c:
	* deskbar/evolution/evolution.c:
	* deskbar/evolution/evolution.h:
	* deskbar/evolution/gen-defs.sh:
	First draft of Python evolution wrapper.

2005-10-08  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/deskbarentry.py:
	* deskbar/handlers/epiphany.py:
	* deskbar/handlers/mozilla.py:
	Implement the mozilla/firefox smart bookmark handling.
	Right now we show all bookmarks for all browsers, this will change soon.

2005-10-07  Raphael Slinckx  <rslinckx@cvs.gnome.org>

	* deskbar/handlers/programs.py:
	Fix the program launching argv by adding the program itself as arg[0]

